System testing overview

The test procedures for each type of system or server are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all required tests , hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the Hardware Compatibility Tests (HCT).

The following are the system, server, and motherboard hardware compatibility testing programs for Microsoft® Windows® XP:

  • Desktop system
  • Mobile system
  • Motherboard
  • System using a logo'd motherboard
  • Server
  • Datacenter Server
  • Cluster Server
  • HAL


Desktop system testing overview

To logo a desktop system, and qualify it to appear on the Hardware Compatibility List (HCL), you must complete the required Hardware Compatibility Tests (HCT). These tests verify that your product functions properly with the Windows® XP operating system.

The test procedures for Desktop systems are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT kit.

Before you begin testing, you must correctly configure the test system. See Preparing for desktop system testing for specific setup instructions.

The desktop system test kit includes the following tests:

Click to show or hide information. Desktop system tests

These tests are required for all desktop systems:

  • 1394 Asychronous and Isochronous Loopback
  • 1394 Configuration ROM
  • 1394 Interoperability
  • ACPI Pre-OS - Desktop

Note: The ACPI Pre-OS tests are not included in HCT 10.0 RTM.

  • ACPI Sleep
  • ACPI Stress - Device I/O (Extended)
  • ACPI Stress - Device I/O (Varied RTC)
  • ACPI Verifier
  • AGP Interface
  • AGP Transfer
  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • DirectDraw Accelerated Graphics Port (AGP) Memory
  • DirectMusic Driver
  • DirectSound Driver
  • Disk Stress
  • Driver Scenario
  • Driver Verifier - System
  • DVD
  • Enable/Disable - Device I/O
  • Extensible Firmware Interface
  • FAT - File I/O
  • Floppy - File I/O
  • Full Duplex
  • GART

Note: The GART test is not included in HCT 10.0 RTM.

  • GUIMAN GDI with Poly Clip
  • Int 13H Extensions
  • LAN Device Wake Up
  • Legacy Free
  • Mapped - File I/O
  • Mixer Driver
  • Modem Test
  • Modem Test (Server)
  • NDIS
  • NTFS - File I/O
  • PCI 2.2 Compliance
  • PCI 3.3 Volt Auxiliary Power Load
  • PCI Configuration Header Dump
  • PCI Latency
  • PCI Test Adapter Diagnostic
  • PCI Voltage Requirement
  • PME# Signal Routing
  • PME# Signal Routing - Simultaneous
  • PXE Server installation
  • Remote Boot
  • RGB Rasterization
  • S3 Compliance
  • Serial Port Stress
  • Signed Driver Check
  • Storage Device Stress
  • SysCache
  • SysParse
  • System Stress
  • System Wake-up
  • Unreported I/O
  • USB Device Framework
  • USB Device Wake Up
  • USB Host Controller Compliance
  • USB Manual Interoperability
  • USB Port Reporting
  • USB Self-powered Hub
  • USB System Port Presence
  • Wake Device Server
  • Wave Driver

Test suite run time: 100 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Desktop System HCT kit.

Important: All hardware in the system, or shipping with the system, must be logo'd for Microsoft® Windows XP before the system will be granted a logo.

  • One hard disk drive
  • One CD-ROM drive or DVD-ROM drive
  • The following 1394 hardware is required if the test system implements 1394:
  • One 1394 hard disk drive
  • Two 1394 host controllers
  • One 1394 cable
  • One 1394 camera
  • One additional 1394 device (any type)
  • One audio device
  • One audio loopback cable. An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.
  • One modem
  • One PCI 10/100 network adapter
  • One 10/100 network hub
  • One remote test host with a 10/100 network adapter and a modem
  • Three FoxFire II PCI adapters
  • 128 MB of RAM
  • One remote test host with a 10/100 network adapter

Important: The remote test host must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One logo'd USB keyboard
  • One logo'd USB mouse (or any pointing/drawing device)
  • One display adapter
  • One monitor
  • Three self-powered USB hubs
  • One USB joystick
  • One USB scanner or printer
  • One USB camera
  • One USB keyboard
  • One serial loopback connector is required for each serial port on the test system.

The following table specifies the connections for the serial loopback connector. If you are using an existing connector, verify that it meets these specifications:

Connections for a Serial Loopback RS232C Connector

Connect this pin | To this pin
Tx | Rx
RTS | CTS, DCD (Same as CD)
DTR | DSR, RI

Click to show or hide information. Software requirements

The following software is required to run the Desktop System HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for desktop systems, testers must know how to do the following tasks:

  • Create, format, and remove partitions on a hard disk drive.
  • Install RAM in a test system.
  • Set power management options.
  • Physically install the FoxFire II PCI adapters.
  • Install the Windows XP Professional operating system from the product CD.

Related links


Preparing for desktop system testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge requirements, see Desktop system testing overview.

Test system configuration

The Windows XP HCT 10.0 kit requires the following system configuration tasks to prepare the desktop test system for testing. They can be completed in any order.

To configure the test system for desktop system testing

Component

Requirement

1394

If 1394 is implemented on the test system, the following hardware must be installed:

Install two 1394 host controllers

Install one 1394 hard disk drive

Install one 1394 camera

Install one additional 1394 device (of any type)

Connect one 1394 cable to both 1394 host controllers

Audio

Install one audio device if not integrated in the system.

Connect one audio loopback cable. An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default

Display adapters

First set the display adapter to its maximum color depth, and then set it to its maximum resolution.

Windows XP HCT 10.0 CD

Insert the Windows XP HCT 10.0 CD into the CD-ROM or DVD-ROM drive.

The HCT CD must remain in the drive for the duration of HCT testing.

Microprocessor

If the test system supports multiple microprocessors, test it in a configuration with the maximum number of microprocessors installed.

Memory

Test desktop systems with 128 MB of RAM. If the test system uses system memory for video, increase the RAM so that 128 MB is available to the microprocessor at all times.

Modem

Install one modem if not integrated in the system.

Network

Install one PCI 10/100 network adapter.

Connect the test system to a 10/100 network hub.

Connect the remote test host to the 10/100 network hub.

On the test system and the remote test host, log on to the private network as an administrator.

PCI test adapters

Install one FoxFire II PCI adapter on PCI bus 0.

The FoxFire II PCI adapter must remain in the drive for the duration of PCI test adapter testing.

Additional FoxFire II PCI adapters must be installed immediately before, and removed immediately after, running the following tests:

  • PCI Voltage Requirement
  • PME# Signal Routing
  • System Wake Up
  • PCI Test Adapter Diagnostic
  • Simultaneous PME# Signal Assertion
  • 3.3 Vaux Auxiliary Power Load

Important: If your test system does not have enough PCI slots to accommodate three FoxFire II PCI adapters, remove other devices when running the tests listed above. If there are still not three available PCI slots after removing other PCI devices, some PCI tests will not pass. Note this in your readme.txt when making the test submission. Devices have the following priority in the test system, from highest to lowest:

  1. Display Adapter or SCSI controller required to start the test system
  2. FoxFire II PCI test adapters
  3. Network Adapter
  4. Audio Adapter
  5. Modem

Important: If your test system does not include PCI slots or is designed to only use low profile PCI cards, then no FoxFire II adapters can be installed, and all tests that require FoxFire II adapters will fail. Note that your test system only includes low-profile PCI slots in your readme.txt when you make your test submission.

Power

From the Control Panel, click Power Options and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.

Software

Install the Windows XP Professional operating system.

Install the Windows XP HCT 10.0 on the test system.

Serial ports

Install one serial loopback connector for each serial port on the test system.

Storage

Format hard disk drives as follows:

  • One FAT 32 boot partition of at least 3 GB, designated as C:\
  • One FAT 32 partition of at least 2 GB, designated as D:\ (not required for 64-bit systems)
  • One NTFS partition of at least 2 GB, designated as E:\
  • One CD-ROM or DVD-ROM drive, designated as F:\
  • One compressed NTFS partition of at least 2 GB, designated as G:\

Related links

Desktop system testing overview


ACPI Pre-OS (All Desktop) test

This test creates a boot disk and runs the entire set of ACPI Pre-OS tests for desktop systems.

Run time: 3 minutes

Log file name: Acpimstr.log, other logs are provided for the tests in this suite

Operating system: Windows XP Professional

Test assertions: Chapter 3

Related links

Running the ACPI Pre-OS –(All Desktop) test


ACPI Sleep test

This test puts the test system into various sleep states, and waits for the user to press the power button to awaken system. Each supported sleep state is tested twice.

Run time: 4 minutes

Log file name: Acpislp.log

Operating system: Windows XP Professional

Test assertions: Chapter 3

Related links

Running the ACPI Sleep test


ACPI Stress - Device I/O (Varied RTC) test

This test examines the devices in the system, and then puts the system into a sleep/hibernation state. When the system returns from sleep/hibernation, it tests the devices in the system again to verify that the devices function properly after sleep/hibernation. This test examines all sleep/hibernation states that the system supports.

An ACPI system must support one of the following states: S1, S2, or S3. Support of S4 or S4BIOS is optional. The ACPI Stress - Device I/O (Varied RTC) test runs through 3 iterations of testing the device input/output (I/O) and sleep/hibernation.

ACPI supports a Real Time Clock (RTC). The clock is set to test each system state for a random interval. Systems that don't have RTC support for a hibernation state reboot immediately.

Run time: Maximum 48 hours, depending on the number of system states the test system supports.

Log file name: pmte.log

Operating system: Windows XP Professional

Test assertion: Chapter 3

Important: Test Manger is restarted after re-running the ACPI Stress - Device I/O (Varied RTC) test, the test will generate a failure. The following error message displays, indicating that the sound_?_*.log has been modified:

"Changes in Log File(s) Detected"

This is an acceptable failure. When the error message displays, click Continue Submission to continue testing.

Hardware requirements

Install one serial loopback connector for each serial port on the test system

Insert the HCT 10.0 CD in the test system's CD-ROM drive.

Related links

Running the ACPI Stress - Device I/O (Varied RTC) test


ACPI Verifier test

This test verifies the ACPI implementation of the test system.

Run time: 30 minutes

Log file name: Acpiver.log

Operating system: Windows XP Professional

Test assertion: TBD

Related links

Running the ACPI Verifier test


AGP Interface test

This test verifies that the AGP configuration registers used by the operating system to initialize AGP features are correctly implemented. The test finds any AGP-capable devices on the PCI bus and records the capabilities of that device. The test then verifies the AGP capabilities of the device and the core chipset.

Run time: 1 minute

Log file name: Agpiface.log

Operating system: Windows XP Professional

Test assertion: Chapter 8

Related links

Running the AGP Interface test


AGP Transfer test

This test verifies that AGP devices are capable of reliably transferring data. The test transfers data between AGP system memory and local video memory (video memory residing on the graphics adapter), and then compares the copied data to the original data. Differences between the original data and the copied data are logged as test failures.

Run time: 1 minute

Log file name: Agpiface.log

Operating system: Windows XP Professional

Test assertion: Chapter 8

Related links

Running the AGP Transfer test


DirectDraw Accelerated Graphics Port Memory test

This test verifies that the display adapter's DirectDraw® features function properly.

Run time: Approximately 5 to 15 minutes

Log file name: Fnddraw.log

Operating system: Windows XP Professional

Test assertion: Chapter 8

Related links

Running the DirectDraw Accelerated Graphics Port Memory test


Disk Stress test

This test verifies that hard disk drives, floppy disk drives, and CD-ROM drives correctly read and write data.

The test simultaneously stresses all drives by creating multiple threads for each drive you select. Each thread reads, writes, and verifies a 1-MB pattern for 30 minutes.

Run time: Approximately 30 minutes

Log file name: Diskload.log

Operating system: Windows XP Professional

Test assertion: TBD

Related links

Running the Disk Stress test


Driver Scenario test

This test verifies that the display adapter/driver combination correctly supports the features that it claims to support. Specifically, the following features are tested:

  • Specular highlighting
  • Fog
  • Alpha blending
  • Texturing
  • Texture filtering
  • MIP-mapping

The test runs all combinations of the required features in a dynamic scene. The scene is composed of a central, unmoving sphere and six orbiting cubes. Additionally a plane extends from the point of view (camera) into the distance, demonstrating correct texture perspective. The cubes and central sphere will take on various properties as the test proceeds, cycling through the supported feature set.

Run time: Approximately 30 minutes

Log file name: Driverscenario.log

Operating system: Windows XP Professional

Test assertion: Chapter 5

Related links

Running the Driver Scenario test


DVD test

This test verifies that the DVD drive supports the Mt. Fuji commands listed in the Microsoft PC 99 System Design Guide. The test issues Mt. Fuji commands to the specified DVD drive using SCSI pass-through and ATA pass-through interfaces.

Note: The DVD test prompts the user to insert various types of media into the test drive. Quit any AutoRun screens that are opened during testing.

Run time: Approximately 15 minutes

Log file name: dvdtest.log

Operating system: Windows XP Professional

Test assertion: TBD

Additional software requirements

  • One non-audio CD-ROM
  • One audio CD-ROM
  • One data DVD, such as Microsoft® Encarta® Reference Suite 2001 DVD-ROM

Related links

Running the DVD test


Extensible Firmware Interface test

Extensible Firmware Interface (EFI) is a new standard for the interface provided by the firmware that boots PCs. Microsoft supports EFI as the only firmware interface to boot the 64-bit version of Windows for the Intel Architecture. Because the 64-bit version of Windows will not boot with BIOS or with System Abstraction Layer (SAL) alone, EFI is a requirement for all Intel Itanium-based systems to boot Windows.

Note: The Extensible Firmware Interface test is only used to test 64-bit systems.

Run time: 30 minutes

Log file name: Efintlog.log

Operating system: Windows XP Professional

Test assertion: Chapter 2

Hardware requirements

Install one Symbios 22910 SCSI Controller in the test system.

Related links

Running the Extensible Firmware Interface test


FAT - File I/O test

This test is an API-level test that verifies that file operations work on a file allocation table (FAT)-formatted drive. The test uses various file input and output (I/O) system calls to test the FAT.

This test description applies to the following versions of FAT - File I/O test:

  • FAT - File I/O
  • FAT - File I/O (Removable)

Run time: Approximately 15 minutes

Log file name: Diskfat.log

Operating system: Windows XP Professional

Test assertions: Chapter 21

Related links

Running the FAT (File I/O) test


Floppy - File I/O test

This test is an API-level test that verifies that file operations work on a floppy disk drive with file allocation table (FAT)-formatted media. The test uses various file input and output (I/O) system calls to test the FAT.

Run time: Approximately 45 minutes

Log file name: floppy.log

Operating system: Windows XP Professional

Test assertions: Chapter 21

Hardware requirements:

  • One floppy disk drive.

By default, the test uses the first floppy disk drive in the system (usually A:\).

  • One formatted, blank disk.

Related links

Running the Floppy I/O test


Full Duplex test

This test checks the simultaneous recording and playback capabilities of the soundcard by outputting an audio signal through the LineOut and then recording the signal through the MicIn or LineIn.

The Full Duplex test checks input and output at 8, 11, 22 and 44 kHz sample rates.

This test does not require a microphone or speakers because it uses an audio loopback connector to record the output from the soundcard LineOut to the LineIn or MicIn.

The Full Duplex test may fail if the volume settings on the mixer are set too high or too low or if the signal is distorted due to the mixer settings. A distorted signal may be the result of a faulty full-duplex implementation.

Run time: Approximately 50 minutes

Log file name: Ntfduplex.log

Operating system: Windows XP Professional

Test assertions: Chapter 16

Hardware requirements

  • A full-duplex soundcard.

A full-duplex soundcard is a soundcard that can record and play audio simultaneously.

  • An audio loopback connector.

An audio loopback connector consists of two 1/8" stereo audio jacks (like the ones found on most consumer headphones) and the cable to connect them. It can be purchased from most electronics stores.

Related links

Running the Full Duplex test


GART test

The GART test verifies the correct implementation of the AGP Graphics Address Relocation Table on the test system.

Run time: 1 minute

Log file name: Garttest.log

Operating system: Windows XP Professional

Test assertion: Chapter 8

Related links

Running the GART test


GUIMAN GDI with Poly Clip test

This test generates an image using both the test system's display adapter and memory. The test then compares the two images to validate the test system's display implementation.

Run time: 5 minutes

Log file name: Gmvid6s.log

Operating system: Windows XP Professional

Test assertions: Chapter 5

Related links

Running the GUIMAN GDI with Poly Clip test


Int 13H Extensions test

This test verifies proper implementation of the Phoenix Int 13h Extensions.

The Phoenix Int 13h Extensions allow the BIOS to access disks utilizing a 64 bit LBA, rather than the Cylinder, Head, and Sector addressing scheme, allowing the BIOS to fully utilize very large disks.

The test is based on the Phoenix Enhanced Disk Drive Specification, version 1.1. The specification defines additional Int 13h functions and their implementation.

This test requires the test system to restart. If the test system is password protected, each time the system restarts the test will pause until the user enters a valid password.

Run time: Approximately 30 minutes

Log file name: Extint13.log

Operating system: Windows XP Professional

Test assertions: TBD

Hardware requirements:

  • Maximum 2 GB, of RAM installed in the test system.

The test will fail, returning RAM drive errors if there is more than 2 GB or RAM on the test system.

  • One floppy disk drive installed
  • One blank formatted floppy disk inserted into the test drive
    Do not use a write-protected floppy disk

Related links

Running the Int 13H Extensions test


Legacy Free test

This test verifies that test systems that claim to be legacy free in the ACPI namespace table are legacy free. The test checks legacy input/output (I/O) addresses, memory locations, and Plug and Play (PnP) device nodes for the existence of legacy devices.

Run time: 1 minute

Log file name: Legfree.log

Operating system: Windows XP Professional

Test assertion: Chapter 18

Related links

Running the Legacy Free test


Mapped - File I/O test

This test verifies the ability of the hard disk drive to map memory directly to disk and verifies that the hard disk drive functions properly with WHQL-designated core controllers.

The test uses all available space on the specified hard disk drive.

Run time: Approximately 15 minutes to 2 hours, depending on the amount of available hard disk drive space

Log file name: mapiohct.log

Operating system: Windows XP Professional

Test assertions: Chapter 21

Related links

Running the Mapped (File I/O) test


Mixer Driver test

This test verifies that the mixer functions of the soundcard driver are implemented correctly.

The Mixer Driver test is required for systems with a soundcard.

This test does not run with the Driver Verifier test, so you must reboot your system before and after running this test.

Run time: Approximately 5 minutes

Log file name: mixdrv32.log

Operating system: Windows XP Professional

Test assertions:

Related links

Running the Mixer Driver test


Modem Test

This test verifies that the test system supports the wake up command while the test system is in the S1, S2 or S3 state.

Run time: 30 minutes

Log file name: Wakedevs.log

Operating system: Windows XP Professional

Test assertions: TBD

Hardware Requirements

Connect the modems on the test system and remote test host to a line simulator or an analog phone line.

Related links

Running the Modem Test


Modem Test (Server)

This test is the server portion of the Modem Test.

The PXE Server Installation test must be run on the remote test host before running the Remote Boot test on the test system.

Run time: 1 minute

Log file name: This test does not generate a log.

Operating system: Windows Whistler Server

Test assertions:


NDIS test

This test verifies the functionality of each NDIS request supported by network drivers that are installed in the test system.

Run time: Approximately 30 minutes

Log file name: Ndistest.log

Operating system: Windows XP Professional

Test assertions: TBD

Related links

Running the Auto NIC test


NTFS - File I/O test

This test uses various file input and output (I/O) system calls to test the NT file system (NTFS ). By default, the test uses all NTFS partitions with enough space available to run the test.

This test description applies to the following versions of the NTFS - File I/O test:

  • NTFS - File I/O

Run time: Approximately 1 to 4 hours, depending on the size of the NTFS partition and whether the hard disk drive is IDE or SCSI

Log file name: Diskntfs.log

Operating system: Windows XP Professional

Test assertions: Chapter 21

Related links

Running the NTFS (File I/O) test


PCI 3.3 Volt Auxiliary Power Load test

The PCI 3.3 Volt Auxiliary Power Load (PCIVAUX) test verifies that systems that support 3.3Vaux power are capable of fully powering at least one 3.3Vaux-enabled PCI slot while the PCI bus is in B3 state. to the test also verifies that such systems are capable of powering all slots in the system when the PCI bus is in B0, B1, or B2 state..PCIVAUX accesses PCI configuration space through the PCI run-time functions in Real Mode.

Run time: 5 minutes

Log file name: Pcivaux.log

Operating system: Windows XP Professional

Test assertions: Chapter 4

Hardware requirements

Install up to three FoxFire II PCI adapters, depending on the test system configuration. The test system must have each PCI slot on bus 0, up to a maximum of three slots, populated with FoxFire II PCI adapters. All PCI slots in the test system must be populated before testing can begin. Testing with three cards is required if there are three slots on bus 0, with the following exceptions:

  • If installing three FoxFire II PCI adapters on PCI bus 0 would displace a display adapter or a PCI SCSI controller that is required to boot the test system, only two FoxFire II PCI adapters are required for testing.
  • If fewer than three PCI slots are available on PCI bus 0, then only two FoxFire II PCI adapters are required for testing.

Related links


PCI Configuration Header Dump test

This test is a utility that holds the PCI configuration header data for the test system for use in the Pre-OS PCI testing suite. This test will fail if the PCI configuration header is invalid.

Run time: Approximately 2 minutes

Log file name: pcidump.log

Operating system: Windows XP Professional

Test assertions: TBD

Related links

Running the PCI Configuration Header Dump test


PCI Test Adapter Diagnostic test

This test verifies the functionality of the PCI adapter for the combinations of the PCI bus power state, B0, and the function power states D0, D1, D2, D3 Hot, and D3 Cold. This test also verifies all possible function power state transitions from each function's power state.

The PCI Test Adapter Diagnostic test accesses PCI configuration space through the PCI run-time BIOS functions in Real Mode, including PCI Read Configuration Byte, Word, and Double Word; and PCI Write Configuration Byte, Word, and Double Word. Additionally, the test invokes the Find BIOS Present and Find PCI Device functions.

The test writes an appropriate value to the PowerState field in the PMCSR Register to set the PCI function being evaluated to a new power state.

Run time: 5 minutes

Log file name: Pmdiag.log

Operating system: Windows XP Professional

Test assertions: Chapter 4

Hardware requirements

Install one FoxFire II PCI adapter.

All PCI slots in the test system must be populated before testing can begin.

Related links


PCI Voltage Requirement test

This test verifies that PCI-based systems support the appropriate voltages to all PCI connectors. The PCI Voltage Requirement test accesses PCI configuration space through the PCI run-time BIOS functions including PCI Read Configuration Byte, Word, and Double Word; and PCI Write Configuration Byte, Word, and Double Word.

Run time: 5 minutes

Log file name: Pcivolt.log

Operating system: Windows XP Professional

Test assertions: Chapter 4

Hardware requirements

Install one FoxFire II PCI adapter.

All PCI slots in the test system must be populated before testing can begin.

Related links


PME# Signal Routing test

This test is verifies that the PCI system hardware correctly sequences between the various system sleep and working states in response to the PME# signal assertion from the FoxFire II PCI adapter. This enables the test to verify that each PME# signal assertion tested invokes a service routine.

Run time: 2 minutes

Log file name: pcipme1.log

Operating system: Windows XP Professional

Test assertions: Chapter 4

Hardware requirements

Install one FoxFire II PCI adapter in the test system.

All PCI slots in the test system must be populated before testing can begin.

Related links


PME# Signal Routing - Simultaneous test

This test verifies that the PCI system hardware simultaneously sequences between the various system sleep and working states in response to the PME# signal assertions from multiple Foxfire II PCI test adapters.

This test is functionally the same as the PME# Signal Routing test, except that multiple test adapters are used.

Run time: 5 minutes

Log file name: Pcipme2.log

Operating system: Windows XP Professional

Test assertions: Chapter 4

Hardware requirements

Install two FoxFire II PCI adapters, depending on the test system configuration. The test system must have each PCI slot on bus 0 (maximum of two slots) populated with a FoxFire II PCI adapter before you begin testing.

Testing with two cards is required if there are two slots on bus 0, with the following exceptions:

  • If installing two FoxFire II PCI adapters on PCI bus 0 would displace a display adapter or a PCI SCSI controller that is required to boot the test system, only one FoxFire II PCI adapters are required for testing.
  • If fewer than two PCI slots are available on PCI bus 0, only one FoxFire II PCI adapters are required for testing.

Before installing the FoxFire II PCI cards, turn off the test system and set the dip switches on each card as follows:

dip switch 1: ON
dip switch 2: OFF
dip switch 3: ON
dip switch 4: OFF

Related links


PXE Server Installation test

This test is the server portion of the Remote Boot test.

The PXE Server Installation test must be run on the remote test host before running the Remote Boot test on the test system.

Run time: 1 minute

Log file name: This test does not generate a log.

Operating system: Windows Whistler Server

Test assertions: Chapter 12

Hardware requirements

  • One 10/100 network hub
  • One remote test host with a 10/100 network adapter and with Windows Whistler Server installed
  • One DHCP (Dynamic Host Configuration Protocol) server with a 10/100 network adapter and with Windows Whistler Server installed.

Related links

Running the PXE Server Installation test


Remote Boot test

The remote boot test verifies that the test system is capable of restarting when a remote command is issued. Before reading the Intel PXE Specification, please read this disclaimer: Intel PXE Specification. The remote boot test verifies the following:

  • Test system BIOS supports the Pre-boot Execution Environment (PXE)
  • Test system BIOS supports restarting the system from the network
  • Test system provides a Universal Unique Identification (UUID)
  • Test system BIOS supports remote lockout capability

Run time: 5 minutes

Log file name: Rmboot.log

Operating systems: Windows XP Professional and Windows Whistler Server

Test assertions: Chapter 12

Hardware requirements

This test must be run on a network segment running at 100 megabits/second

  • One 10/100 network hub
  • One remote test host with a 10/100 network adapter and with Windows Whistler Server installed
  • One DHCP (Dynamic Host Configuration Protocol) server with a 10/100 network adapter and Windows Whistler Server installed.

Related links

Running the Remote Boot test


RGB Rasterization test

This test verifies that the display adapter correctly implements texturing by drawing a textured mesh with various Z values at the corners and comparing these values with the Reference Rasterizer.

Note: Set the display adapter to 16-bit or 32-bit color before running this test

Run time: 20 minutes

Log file name: Driverscenario_PC99.log

Operating system: Windows XP Professional

Test assertions: Chapter 5

Related links

Running the RGB Rasterization test


Serial Port Stress test

This test verifies the proper implementation of serial ports (also known as COM ports) by testing each port with a serial loopback connectior attached.

Run time: 1 hour

Log file name: Serialx.log

Operating system: Windows XP Professional

Test assertions: TBD

Hardware requirements

Install one serial loopback connector for each serial port on the test system

Related links

Running the Serial Port Stress test


Signed Driver Check test

This test verifies that all drivers in the test system are signed

Run time: 5-30 minutes

Log file name: Chklogo5.log

Operating system: Windows XP Professional

Test assertions: TBD

Related links

Running the Logo'd Components test


Soft Enumeration Stress test

This test examines the test system's PnP implementation by testing the test system's ability to dynamically enumerate devices, load device drivers, start devices, and remove devices.

The Soft Enumeration Stress simulates the dynamic mechanism of enumeration (including plugging in hardware, finding drivers, and ejecting hardware.) through software. This test creates data structures for devices that don't exist, in order to test the enumeration behavior of the test system in a hardware-independent manner.

Run time: TBD

Log file name: .Stacklog

Operating system: Windows XP Professional

Test assertions: TBD

Related links

Running the Soft Enumeration Stress test


Storage Device Stress test

This test stresses the hard disk drives and CD-ROM drives in a system and validates storage API commands .

Run time: Up to 12 hours, depending on number and size of disk partitions.

Log file name: Sdstress.log

Operating system: Windows XP Professional

Test assertions: TBD

Logo requirement: B10.3.2.1, B10.5.3.1, B10.1.4.5, B10.6.3

Related links

Running the SdStress test


SysCache test

This test reads, writes, and verifies data with and without the Windows XP Professional buffer feature. Testing halts when the SysCache test detects data corruption.

You can choose the drive to test and set the duration of the test.

Run time: 1 hour per partition, up to six partitions

Log file name: Drvcache.log

Operating system: Windows XP Professional

Test assertions: Chapter 21

Hardware requirements

  • At least one hard drive

Related links

Running the Syscache test


SysParse test

The SysParse test inventories the devices on the test system.

Run time: 10-15 minutes

Log file name: Sysparse.log

Operating system: Windows XP Professional

Test assertions: TBD

Related links

Running the SysParse test


System Stress test

This test checks the system by simultaneously stressing disk access, memory management, GDI operations, module management, and system caching.

Run time: 8 hours

Log file name: Stress.log

Operating system: Windows XP Professional

Test assertions: TBD

Related links

Running the System Stress test


System Wake Up test

This test verifies the PCI function's awakening behavior for the PCI bus with the S0, S1, S2 and S3 system states. The PCI function must support the assertion of the PME# signal that indicates the awakening event.

Run time: 5 minutes

Log file name: Pciwake.log

Operating system: Windows XP Professional

Test assertions: Chapter 4

Hardware requirements

Install one FoxFire II PCI adapter.

All PCI slots in the test system must be populated before testing can begin.

Related links


Unreported I/O test

This test verifies that any input/output (I/O) address with a read or write value is associated with a device on the test system. The test verifies that if there is no device at associated with an I/O address, the value of this I/O address is 0xFF.

This test does not interfere with any I/O addresses claimed by device enumeration.

Run time: 30 minutes

Log file name: Iostompnt.log

Operating system: Windows XP Professional

Test assertions:TBD

Related links

Running the Unreported I/O test


Unreported Memory test

This test verifies that any physical memory address in use by the test system is also used by a device. The test also verifies that if there is no device at a memory address, the value of that address is 0xFFFFFFFF.

This test does not interfere with any memory addresses claimed by device enumeration.

Run time: 5 minutes

Log file name: Mstompnt.log

Operating system: Windows XP Professional

Test assertions: TBD

Related links

Running the Unreported Memory test


Wake Device Server Test

This test is the server portion of the LAN Device Wake Up test.

The PXE Server Installation test must be run on the remote test host before running the Remote Boot test on the test system.

Run time: 1 minute

Log file name: This test does not generate a log.

Operating system: Windows Whistler Server

Test assertions:

Related links

Running the PXE Server Installation test


Wave Driver test

This test uses the low-level multimedia wave APIs, rather the MCI interface, to verify audio hardware and driver support for all base wave functionality, as well as the extended functionality reported for the device. Failures in this test often indicate a driver or system board timing problems.

If there are multiple audio devices, the test will, by default, choose the first one enumerated by the system. This selection can be overridden by manually selecting the desired input and output devices. The next time Wave Driver test is run, it will default to the same devices.

All test cases are required to pass.

The Wave Driver test is not required for server testing if no audio components will ship with any configuration of the system.

Run time: Approximately 60-120 minutes

Log file name: waveDrv32.log

Operating system: Windows XP Professional

Test assertions: Chapter 16

Related links

Running the Wave Driver Test


Mobile system testing overview

To logo a mobile system, and qualify it to appear on the Hardware Compatibility List (HCL), you must complete the required Hardware Compatibility Tests (HCT). These tests verify that your product functions properly with the Windows® XP operating system.

The test procedures for mobile systems are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT kit.

Before you begin testing, you must correctly configure the test system. See Preparing for mobile system testing for specific setup instructions.

The mobile system test kit includes the following tests:

Click to show or hide information. Mobile system tests

These tests are required for all mobile systems:

  • 1394 Asychronous and Isochronous Loopback
  • 1394 Configuration ROM
  • 1394 Interoperability
  • ACPI Pre-OS - Mobile

Note: The ACPI Pre-OS tests are not included in HCT 10.0 RTM.

  • ACPI Sleep
  • ACPI Stress - Device I/O (Extended)
  • ACPI Stress - Device I/O (Varied RTC)
  • ACPI Verifier
  • AGP Interface
  • AGP Transfer
  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • DirectDraw Accelerated Graphics Port (AGP) Memory
  • DirectMusic Driver
  • DirectSound Driver
  • Disk Stress
  • Driver Scenario
  • Driver Verifier - System
  • DVD
  • Enable/Disable - Device I/O
  • FAT - File I/O
  • Floppy - File I/O
  • Full Duplex
  • GART

Note: The GART test is not included in HCT 10.0 RTM.

  • GUIMAN GDI with Poly Clip
  • Int 13H Extensions
  • Legacy Free
  • Mapped - File I/O
  • Mixer Driver
  • Modem Test
  • Modem Test (Server)
  • NDIS
  • NTFS - File I/O
  • PCI 2.2 Compliance
  • PXE Server installation
  • Remote Boot
  • RGB Rasterization - Mobile
  • Serial Port Stress
  • Signed Driver Check
  • Storage Device Stress
  • SysCache
  • SysParse
  • System Stress
  • Unreported I/O
  • USB Device Framework
  • USB Device Wake Up
  • USB Host Controller Compliance
  • USB Manual Interoperability
  • USB Port Reporting
  • USB Self-powered Hub
  • USB System Port Presence
  • Wake Device Server
  • Wave Driver

Test suite run time: 100 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Mobile System HCT kit.

Important: All hardware in the system, or shipping with the system, must be logo'd for Microsoft® Windows XP.

  • One hard disk drive
  • One CD-ROM drive or DVD-ROM drive
  • The following 1394 hardware is required if the test system implements 1394:
  • One 1394 hard disk drive
  • Two 1394 host controllers
  • One 1394 cable
  • One 1394 camera
  • One additional 1394 device (any type)
  • One audio device
  • One audio loopback cable.

An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

  • One modem
  • One PCI 10/100 network adapter
  • One 10/100 network hub
  • 128 MB of RAM
  • One remote test host with a 10/100 network adapter and a modem

Important: The remote test host must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One logo'd USB keyboard
  • One logo'd USB mouse (or any pointing/drawing device)
  • Three self-powered USB hubs
  • One USB joystick
  • One USB scanner or printer
  • One USB camera
  • One USB keyboard
  • One serial loopback connector for each serial port on the test system

The following table specifies the connections for the serial loopback connector. If you are using an existing connector, verify that it meets these specifications:

Connections for a Serial Loopback RS232C Connector

Connect this pin | To this pin
Tx | Rx
RTS | CTS, DCD (Same as CD)
DTR | DSR, RI

Click to show or hide information. Software requirements

The following software is required to run the Mobile System HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for mobile systems, testers must know how to do the following tasks:

  • Create, format, and remove partitions on a hard disk drive.
  • Install RAM in a test system.
  • Set power management options.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for mobile system testing


Preparing for mobile system testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Mobile system testing overview.

Test system configuration

The HCT kit requires the following system configuration tasks to prepare the mobile test system for testing. They can be completed in any order.

To configure the test system for mobile system testing

Component

Requirement

1394

If 1394 is implemented on the test system, the following hardware must be installed:

Install two 1394 host controllers

Install one 1394 hard disk drive

Install one 1394 camera

Install one additional 1394 device (of any type)

Connect one 1394 cable to both 1394 host controllers

Audio

Install one audio device, if not integrated in the system.

Connect one audio loopback cable. An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default

Display adapters

First set the display adapter to its maximum color depth, and then set it to its maximum resolution.

Display adapters must be tested with the monitor integrated in the system. Testing with external monitors is not allowed.

HCT CD

Insert the Windows XP HCT 10.0 CD in the CD-ROM or DVD-ROM drive.

The HCT CD must remain in the drive for the duration of HCT testing.

Microprocessor

If the test system supports multiple microprocessors, test it in a configuration with the maximum number of microprocessors installed.

Memory

Test mobile systems with 128 MB of RAM. If the test system uses system memory for video, you must increase the RAM so that 128 MB is available to the microprocessor at all times.

Modem

Install one modem, if not integrated in the system.

Network

Install one PCI 10/100 network adapter, unless there is a network adapter integrated in the system.

Connect the test system to a 10/100 network hub.

Connect the remote test host to the 10/100 network hub.

On the test system and the remote test host, log on to the private network as an administrator.

Power

From the Control Panel, click Power Options and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.
  • On the Advanced tab, deselect the Prompt for Password check box

Software

Install the Windows XP Professional operating system.

Install the Windows XP HCT 10.0 on the test system.

Serial ports

Install one serial loopback connector for each serial port on the test system.

Storage

Format hard disk drives as follows:

  • One FAT 32 boot partition of at least 3 GB, designated as C:\
  • One FAT 32 partition of at least 2 GB, designated as D:\
  • One NTFS partition of at least 2 GB, designated as E:\
  • One CD ROM or DVD ROM drive, designated as F:\
  • One compressed NTFS partition of at least 2 GB, designated as G:\

Important: If your mobile system cannot use the CD-ROM drive and the floppy drive simultaneously, connect an external USB CD-ROM drive or floppy drive and leave this drive connected for the duration of HCT testing.

Related links

Mobile system testing overview


ACPI Pre-OS (All Mobile) test

This test creates a boot disk and runs the entire set of ACPI Pre-OS tests for mobile systems.

Run time: 3 minutes

Log file name: Acpimstr.log, other logs are provided for the tests in this suite

Operating system: Windows XP Professional

Test assertions: Chapter 3

Related links

Running the ACPI Pre-OS –(All Mobile) test


Motherboard testing overview

To logo a motherboard, and qualify it to appear on the Hardware Compatibility List (HCL), you must complete the required Hardware Compatibility Tests (HCT). These tests verify that your product functions properly with the Windows® XP operating system.

The motherboard program is for desktop systems only. Motherboards for mobile systems and servers are not currently eligible for this program. For more information, see WHQL Motherboard Logo Program.

The test procedures for motherboards are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT kit.

Before you begin testing, you must correctly configure the test system. See Preparing for motherboard testing for specific setup instructions.

The motherboard test kit includes the following tests, which should be run in the order listed on the initial testing run:

Click to show or hide information. Motherboard tests

These tests are required for all motherboards:

  • 1394 Asychronous and Isochronous Loopback
  • 1394 Configuration ROM
  • 1394 Interoperability
  • ACPI Pre-OS - Desktop

Note: The ACPI Pre-OS tests are not included in HCT 10.0 RTM.

  • ACPI Sleep
  • ACPI Stress - Device I/O (Extended)
  • ACPI Stress - Device I/O (Varied RTC)
  • ACPI Verifier
  • AGP Interface
  • AGP Transfer
  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • DirectDraw Accelerated Graphics Port (AGP) Memory
  • DirectMusic Driver
  • DirectSound Driver
  • Driver Scenario
  • Driver Verifier - System
  • DVD
  • Enable/Disable - Device I/O
  • Floppy - File I/O
  • Full Duplex
  • GART

Note: The GART test is not included in HCT 10.0 RTM.

  • GUIMAN GDI with Poly Clip
  • Int 13H Extensions
  • LAN Device Wake Up
  • Legacy Free
  • Mixer Driver
  • Modem Test
  • Modem Test (Server)
  • NDIS
  • PCI 2.2 Compliance
  • PCI 3.3 Volt Auxiliary Power Load
  • PCI Configuration Header Dump
  • PCI Latency
  • PCI Test Adapter Diagnostic
  • PCI Voltage Requirement
  • PME# Signal Routing
  • PME# Signal Routing - Simultaneous
  • PXE Server installation
  • Remote Boot
  • RGB Rasterization
  • S3 Compliance
  • Serial Port Stress
  • Signed Driver Check
  • Storage Device Stress
  • SysParse
  • System Stress
  • System Wake-up
  • Unreported I/O
  • USB Device Framework
  • USB Device Wake Up
  • USB Manual Interoperability
  • USB Port Reporting
  • USB Self-powered Hub
  • USB System Port Presence
  • Wake Device Server
  • Wave Driver

Test suite run time: 100 hours

Click to show or hide information. Hardware requirements

Important: All hardware in the system, or shipping with the system, must be logo'd for Microsoft® Windows XP.

The following hardware is required to run the Motherboard HCT kit.

  • One hard disk drive
  • One CD-ROM drive or DVD-ROM drive
  • The following 1394 hardware is required if the test system implements 1394:
  • One 1394 hard disk drive
  • Two 1394 host controllers
  • One 1394 cable
  • One 1394 camera
  • One additional 1394 device (any type)
  • One audio device
  • One audio loopback cable.

An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

  • One modem
  • One PCI 10/100 network adapter
  • One 10/100 network hub
  • One remote test host with a 10/100 network adapter and a modem

Important: The remote test host must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • Three FoxFire II PCI adapters
  • One monitor
  • Three self-powered USB hubs
  • One USB joystick
  • One USB scanner or printer
  • One USB camera
  • One USB keyboard
  • One serial loopback connector is required for each serial port on the test system.

The following table specifies the connections for the serial loopback connector. If you are using an existing connector, verify that it meets these specifications:

Connections for a Serial Loopback RS232C Connector

Connect this pin | To this pin
Tx | Rx
RTS | CTS, DCD (Same as CD)
DTR | DSR, RI

Click to show or hide information. Software requirements

The following software is required to run the Motherboard HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10

Click to show or hide information. Tester knowledge requirements

To run the HCT for motherboards, testers must know how to do the following tasks:

  • Create, format, and remove partitions on a hard disk drive.
  • Install RAM in a test system.
  • Set power management options.
  • Construct two test systems to test the motherboard.
  • Disable any integrated devices on the motherboard.
  • Physically install the FoxFire II PCI adapters
  • Install Windows XP operating system from the product CD.

Related links


Preparing for motherboard testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware and install Windows® XP Professional. This section summarizes the related requirements and procedures.

Assemble two systems to test your motherboard:

  • System 1 must have any integrated devices on the motherboard enabled. All AC97, ACR, CNR, and AMR slots must be populated and enabled.
  • System 2 must have any integrated devices on the motherboard disabled. This includes integrated PCI devices, AC97, ACR, CNR, and AMR devices. IDE, ISA, and SCSI controllers integrated on the motherboard do not need to be disabled. System 2 must not contain any PCI or AGP cards used in System 1. If the test motherboard contains any integrated devices on the motherboard, each device must be disabled and replaced with a device of the same type.

For a complete list of required hardware, software, and tester knowledge, see the Motherboard testing overview.

Test system configuration for system 1

The Windows XP HCT 10.0 kit requires the following system configuration tasks to prepare test system 1 for motherboard testing. They can be completed in any order.

To configure test system 1 for motherboard testing

Component

Requirement

1394

If 1394 is implemented on the test system, the following hardware must be installed:

Install two 1394 host controllers

Install one 1394 hard disk drive

Install one 1394 camera

Install one additional 1394 device (of any type)

Connect one 1394 cable to both 1394 host controllers

Audio

Install one audio device, if not integrated on the motherboard.

Connect one audio loopback cable. An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default.

Set all BIOS values to default.

Display adapters

Install one display adapter, if not integrated on the motherboard.

First set the display adapter to its maximum color depth, and then set it to its maximum resolution.

HCT CD

Insert the Windows XP HCT 10.0 CD in the CD-ROM or DVD-ROM drive.

The HCT CD must remain in the drive for the duration of HCT testing.

Microprocessor

If the motherboard supports multiple microprocessors, test it in a configuration with the maximum number of microprocessors installed.

Memory

Install 256 MB of non-shared system memoryRAM in each slot, up to the system's maximum memory. If the test system uses system memory for video, you must increase the RAM so that 64 MB per microprocessor is available to the test system at all times.

Modem

Install one modem, if not integrated on the motherboard.

Network

Install one PCI 10/100 network adapter, unless there is an integrated 10/100 network adapter on the motherboard.

Connect the test system to a 10/100 network hub.

Connect the remote test host to the 10/100 network hub.

On the test system and the remote test host, log on to the private network as an administrator.

PCI test adapters

Install one FoxFire II PCI adapter on PCI bus 0.

The FoxFire II PCI adapter must remain in the drive for the duration of PCI test adapter testing.

Additional FoxFire II PCI adapters must be installed immediately before running the following tests, and removed immediately after running these tests:

  • PCI Voltage Requirement
  • PME# Signal Routing
  • System Wake Up
  • PCI Test Adapter Diagnostic
  • Simultaneous PME# Signal Assertion
  • 3.3 Vaux Auxiliary Power Load

Important: If your test system does not have enough PCI slots to accommodate three FoxFire II PCI adapters, remove other devices when running the tests listed above. If there are still not three available PCI slots after removing other PCI devices, some PCI tests will not pass. Note this in your readme.txt when making the test submission. Devices have the following priority in the test system, from highest to lowest:

  1. Display Adapter or SCSI controller required to start the test system
  2. FoxFire II PCI test adapters
  3. Network Adapter
  4. Audio Adapter
  5. Modem

Important: If your test system does not include PCI slots or is designed to only use low profile PCI cards, then no FoxFire II adapters can be installed, and all tests that require FoxFire II adapters will fail. Note that your test system only includes low-profile PCI slots in your readme.txt when you make your test submission.

Power

From the Control Panel, select Power Options, and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.

Software

Install the Windows XP Professional operating system on the test system.

Install the Windows XP HCT 10.0 on the test system.

Serial Ports

Install one serial loopback connector for each serial port on the test system.

Storage

Format hard disk drives as follows:

  • One FAT 32 boot partition of at least 3 GB, designated as C:
  • One NTFS partition of at least 2 GB
  • One compressed NTFS partition of at least 2 GB

Test system configuration for system 2

The Windows XP HCT 10.0 kit requires the following system configuration tasks to prepare test system 2 for motherboard testing. They can be completed in any order.

To configure test system 2 for motherboard testing

Component

Requirement

1394

If 1394 is implemented on the test system, the following hardware must be installed:

Install two 1394 host controllers

Install one 1394 hard disk drive

Install one 1394 camera

Install one additional 1394 device (of any type)

Connect one 1394 cable to both 1394 host controllers

Audio

Install one audio device with a different manufacturer or model number than the one used in system 1.

Disable the integrated audio device on the motherboard, if present.

Connect one audio loopback cable. An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default.

Set all BIOS values to default, with the exception of BIOS changes that are necessary to disable integrated devices.

Display adapters

Install one display adapter not used in system 1.

Disable the integrated display adapter on the motherboard, if present.

First set the display adapter to its maximum color depth, and then set it to its maximum resolution.

HCT CD

Insert the Windows XP HCT CD 10.0 in the CD-ROM or DVD-ROM drive.

The HCT CD must remain in the drive for the duration of HCT testing.

Microprocessor

If the motherboard supports multiple microprocessors, test it in a configuration with the maximum number of microprocessors installed.

Memory

Install 256 MB of non-shared system memoryRAM in each slot, up to the system's maximum memory.

If the test system uses system memory for video, you must increase the RAM so that 64 MB per microprocessor is available to the test system at all times.

Modem

Install one modem with a different manufacturer or model number than the one used in system 1.

Disable the integrated modem on the motherboard, if present.

Network

Install one PCI 10/100 network adapter with a different manufacturer or model number than the one used in system 1.

Disable the integrated 10/100 network adapter on the motherboard, if present.

Connect the test system to a 10/100 network hub.

Connect the remote test host to the 10/100 network hub.

On the test system and the remote test host, log on to the private network as an administrator.

PCI test adapters

Install one FoxFire II PCI adapter on PCI bus 0.

The FoxFire II PCI adapter must remain in the drive for the duration of PCI test adapter testing.

Additional FoxFire II PCI adapters must be installed immediately before, and removed immediately after, running the following tests:

  • PCI Voltage Requirement
  • PME# Signal Routing
  • System Wake Up
  • PCI Adapter Diagnostic
  • Simultaneous PME# Signal Assertion
  • 3.3 Vaux Auxiliary Power Load

Important: If your test system does not have enough PCI slots to accommodate three FoxFire II PCI adapters, remove other devices when running the tests listed above. If there are still not three available PCI slots after removing other PCI devices, some PCI tests will not pass. Note this in your readme.txt when making the test submission. Devices have the following priority in the test system, from highest to lowest:

  1. Display Adapter or SCSI controller required to start the test system
  2. FoxFire II PCI test adapters
  3. Network Adapter
  4. Audio Adapter
  5. Modem

Important: If your test system does not include PCI slots or is designed to only use low profile PCI cards, then no FoxFire II adapters can be installed, and all tests that require FoxFire II adapters will fail. Note that your test system only includes low-profile PCI slots in your readme.txt when you make your test submission.

Power

From the Control Panel, select Power Options, and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.

Software

Install the Windows XP Professional operating system on the test system.

Install the Windows XP HCT 10.0 on the test system.

Serial ports

Install one serial loopback connector for each serial port on the test system.

Storage

Format hard disk drives as follows:

  • One FAT 32 boot partition of at least 3 GB, designated as C:\
  • One NTFS partition of at least 2 GB
  • One compressed NTFS partition of at least 2 GB

Related links


System using a logo’d motherboard testing overview

To logo a system using a logo’d motherboard, and qualify it to appear on the Hardware Compatibility List (HCL), you must complete the required Hardware Compatibility Tests (HCT). These tests verify that your product functions properly with the Windows® XP operating system.

The test procedures for systems using a logo'd motherboard are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT kit.

Before you begin testing, you must correctly configure the test system. See Preparing for system using a logo’d motherboard testing for specific setup instructions on setting up the test system.

The System Using a Logo'd Motherboard HCT includes the following tests:

Click to show or hide information. System using a logo'd motherboard tests

These tests are required for all systems using a logo'd motherboard:

  • 1394 Asychronous and Isochronous Loopback
  • ACPI Sleep
  • ACPI Stress - Device I/O (Varied RTC)
  • ACPI Verifier
  • AGP Interface
  • AGP Transfer
  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • DirectDraw Accelerated Graphics Port (AGP) Memory
  • DirectSound Driver
  • Disk Stress
  • Driver Scenario
  • Driver Verifier - System
  • DVD
  • Enable/Disable - Device I/O
  • GUIMAN GDI with Poly Clip
  • Mapped - File I/O
  • Mixer Driver
  • NDIS
  • PCI 2.2 Compliance
  • RGB Rasterization
  • S3 Compliance
  • Serial Port Stress
  • Signed Driver Check
  • Storage Device Stress
  • SysCache
  • SysParse
  • System Stress
  • Unreported I/O
  • USB Device Framework
  • USB Host Controller Compliance
  • USB Manual Interoperability
  • USB Port Reporting
  • USB System Port Presence
  • Wave Driver

Test suite run time: 100 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the System Using a Logo'd Motherboard HCT kit.

Important: All hardware in the system, or shipping with the system, must be logo'd for Microsoft® Windows XP.

  • One logo'd motherboard/BIOS combination

This must be listed in the Motherboard category on the Microsoft Windows Hardware Compatibility List (HCL). Motherboard/BIOS combination listings in the System/Reference category, System/Desktop category, or any HCL category other than Motherboard, are not acceptable.

  • One hard disk drive
  • One CD-ROM drive or DVD-ROM drive
  • One audio device
  • One audio loopback cable

An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

  • One modem
  • One PCI 10/100 network adapter
  • One 10/100 network hub
  • One remote test host with a 10/100 network adapter

Important: The remote test host must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One monitor
  • Three self-powered USB hubs
  • One USB joystick
  • One USB scanner or printer
  • One USB camera
  • One USB keyboard
  • One serial loopback connector is required for each serial port on the test system.

The following table specifies the connections for the serial loopback connector. If you are using an existing connector, verify that it meets these specifications:

Connections for a Serial Loopback RS232C Connector

Connect this pin | To this pin
Tx | Rx
RTS | CTS, DCD (Same as CD)
DTR | DSR, RI

Click to show or hide information. Software requirements

The following software is required to run the system using a logo'd motherboard HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for systems using a logo'd motherboard, testers must know how to do the following tasks:

  • Create, format, and remove partitions on a hard disk drive.
  • Install RAM in a test system.
  • Set power management options.
  • Install the Windows XP Professional operating system from the product CD.

Related links

Preparing for system using a logo’d motherboard testing


Preparing for system using a logo’d motherboard testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware and install Windows XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the System using a logo'd motherboard testing overview.

Test system configuration

The Windows XP HCT 10.0 kit requires the following system configuration tasks to prepare the test system using a logo’d motherboard for testing. They can be completed in any order.

To configure the test system for system using a logo’d motherboard testing

Component

Requirement

Audio

Install one audio device if not integrated on the motherboard.

Connect one audio loopback cable. An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default

Display adapters

First set the display adapter to its maximum color depth, and then set it to its maximum resolution.

HCT CD

Insert the Windows XP HCT 10.0 CD in the CD-ROM or DVD-ROM drive.

The HCT CD must remain in the drive for the duration of HCT testing.

Microprocessor

If the test system supports multiple microprocessors, test it in a configuration with the maximum number of microprocessors installed.

Memory

Test desktop systems with at least 64 MB of non-shared RAM per microprocessor installed. If the test system uses system memory for video, you must increase the RAM so that 64 MB per microprocessor is available to the test system at all times.

Modem

Install one modem if not integrated on the motherboard.

Network

Install one PCI 10/100 network adapter.

Connect the test system to a 10/100 network hub.

Connect the remote test host to the 10/100 network hub.

On the test system and the remote test host, log in to the private network as an administrator.

Power

From the Control Panel, select Power Options, and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.

Software

Install the Windows XP Professional operating system.

Install the Windows XP HCT 10.0 on the test system.

Serial ports

Install one serial loopback connector for each serial port on the test system.

Storage

Format hard disk drives as follows:

  • One FAT 32 boot partition of at least 3 GB, designated as C:\
  • One FAT 32 partition of at least 2 GB, designated as D:\
  • One NTFS partition of at least 2 GB, designated as E:\
  • One CD-ROM or DVD-ROM drive, designated as F:\
  • One compressed NTFS partition of at least 2 GB, designated as G:\

Related links

System using a logo’d motherboard testing overview


Supported client system testing overview

To logo a supported client system, and qualify it to appear on the Hardware Compatibility List (HCL), you must complete the required Hardware Compatibility Tests (HCT). These tests verify that your product functions properly with the Windows® XP operating system.

The "Supported" program is only available for previously logo'd systems. Previously logo'd systems submitted under the "supported" program must test with the current Windows XP HCT 10.0. Systems that qualify will be listed in the "Supported" category on the Microsoft Hardware Compatibility List.

The test procedures for supported client systems are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT kit.

Before you begin testing, you must correctly configure the test system. See Preparing for supported client system testing for specific setup instructions.

The supported client system test kit includes the following tests:

Click to show or hide information. Supported client system tests

These tests are required for all supported client systems:

  • ACPI Sleep
  • ACPI Stress - Device I/O (Extended)
  • AGP Interface
  • AGP Transfer
  • DirectSound Driver
  • Disk Stress
  • Driver Verifier - System
  • DVD
  • Enable/Disable - Device I/O
  • FAT - File I/O
  • Floppy - File I/O
  • GDI Alpha Blend Stretch NonPerPixel
  • GDI Alpha Blend Stretch PerPixel
  • Gradient Fill Test
  • GUIMAN GDI with Poly Clip
  • Illegal Imports
  • Int 13H Extensions
  • Mapped - File I/O
  • NDIS
  • NTFS - File I/O
  • PCI 2.2 Compliance
  • Public Import
  • Serial Port Stress
  • Signed Driver Check
  • Storage Device Stress
  • SysCache
  • System Stress
  • TERMINAL SERVER - CONSOLE DISCONNECT/RECONNECT
  • Unreported I/O
  • USB Manual Interoperability
  • Wave Driver

Test suite run time: 100 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the Desktop System HCT kit.

Important: All hardware in the system, or shipping with the system, must be logo'd for Microsoft® Windows XP before the system will be granted a logo.

  • One hard disk drive
  • One CD-ROM drive or DVD-ROM drive
  • The following 1394 hardware is required if the test system implements 1394:
  • One 1394 hard disk drive
  • Two 1394 host controllers
  • One 1394 cable
  • One 1394 camera
  • One additional 1394 device (any type)
  • One audio device
  • One audio loopback cable. An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.
  • One modem
  • One PCI 10/100 network adapter
  • One 10/100 network hub
  • One remote test host with a 10/100 network adapter and a modem
  • Three FoxFire II PCI adapters
  • 64 MB of RAM (128 MB is recommended)
  • One remote test host with a 10/100 network adapter

Important: The remote test host must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One logo'd USB keyboard
  • One logo'd USB mouse (or any pointing/drawing device)
  • One display adapter
  • One monitor
  • Three self-powered USB hubs
  • One USB joystick
  • One USB scanner or printer
  • One USB camera
  • One USB keyboard
  • One serial loopback connector is required for each serial port on the test system.

The following table specifies the connections for the serial loopback connector. If you are using an existing connector, verify that it meets these specifications:

Connections for a Serial Loopback RS232C Connector

Connect this pin | To this pin
Tx | Rx
RTS | CTS, DCD (Same as CD)
DTR | DSR, RI

Click to show or hide information. Software requirements

The following software is required to run the Desktop System HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for desktop systems, testers must know how to do the following tasks:

  • Create, format, and remove partitions on a hard disk drive.
  • Install RAM in a test system.
  • Set power management options.
  • Physically install the FoxFire II PCI adapters.
  • Install the Windows XP Professional operating system from the product CD.

Related links


Preparing for supported client system testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge requirements, see Supported client system testing overview.

Test system configuration

The Windows XP HCT 10.0 kit requires the following system configuration tasks to prepare the test system for testing. They can be completed in any order.

To configure the test system for desktop system testing

Component

Requirement

1394

If 1394 is implemented on the test system, the following hardware must be installed:

Install two 1394 host controllers

Install one 1394 hard disk drive

Install one 1394 camera

Install one additional 1394 device (of any type)

Connect one 1394 cable to both 1394 host controllers

Audio

Install one audio device if not integrated in the system.

Connect one audio loopback cable. An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default

Display adapters

First set the display adapter to its maximum color depth, and then set it to its maximum resolution.

Windows XP HCT 10.0 CD

Insert the Windows XP HCT 10.0 CD into the CD-ROM or DVD-ROM drive.

The HCT CD must remain in the drive for the duration of HCT testing.

Microprocessor

If the test system supports multiple microprocessors, test it in a configuration with the maximum number of microprocessors installed.

Memory

Test desktop systems with 128 MB of RAM. If the test system uses system memory for video, increase the RAM so that 128 MB is available to the microprocessor at all times.

Modem

Install one modem if not integrated in the system.

Network

Install one PCI 10/100 network adapter.

Connect the test system to a 10/100 network hub.

Connect the remote test host to the 10/100 network hub.

On the test system and the remote test host, log on to the private network as an administrator.

PCI test adapters

Install one FoxFire II PCI adapter on PCI bus 0.

The FoxFire II PCI adapter must remain in the drive for the duration of PCI test adapter testing.

Additional FoxFire II PCI adapters must be installed immediately before, and removed immediately after, running the following tests:

  • PCI Voltage Requirement
  • PME# Signal Routing
  • System Wake Up
  • PCI Test Adapter Diagnostic
  • Simultaneous PME# Signal Assertion
  • 3.3 Vaux Auxiliary Power Load

Important: If your test system does not have enough PCI slots to accommodate three FoxFire II PCI adapters, remove other devices when running the tests listed above. If there are still not three available PCI slots after removing other PCI devices, some PCI tests will not pass. Note this in your readme.txt when making the test submission. Devices have the following priority in the test system, from highest to lowest:

  1. Display Adapter or SCSI controller required to start the test system
  2. FoxFire II PCI test adapters
  3. Network Adapter
  4. Audio Adapter
  5. Modem

Important: If your test system does not include PCI slots or is designed to only use low profile PCI cards, then no FoxFire II adapters can be installed, and all tests that require FoxFire II adapters will fail. Note that your test system only includes low-profile PCI slots in your readme.txt when you make your test submission.

Power

From the Control Panel, click Power Options and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.

Software

Install the Windows XP Professional operating system.

Install the Windows XP HCT 10.0 on the test system.

Serial ports

Install one serial loopback connector for each serial port on the test system.

Storage

Format hard disk drives as follows:

  • One FAT 32 boot partition of at least 3 GB, designated as C:\
  • One FAT 32 partition of at least 2 GB, designated as D:\
  • One NTFS partition of at least 2 GB, designated as E:\
  • One CD-ROM or DVD-ROM drive, designated as F:\
  • One compressed NTFS partition of at least 2 GB, designated as G:\

Related links

Supported client system testing overview


GDI Alpha Blend Stretch NonPerPixel test

TBD


GDI Alpha Blend Stretch PerPixel test

TBD


Windows XP HCT 10.0 - System

Gradient Fill test

TBD


Windows XP HCT 10.0 - System

Illegal Imports test

TBD


TERMINAL SERVER - CONSOLE DISCONNECT/RECONNECT test

TBD


Server testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To logo a server, and qualify it to appear on the Windows Hardware Compatibility List (HCL), you must complete the required Hardware Compatibility Tests (HCT). These tests verify that your product functions properly with the Microsoft® Windows® Whistler Server operating system.

The test procedures for servers are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

The Server HCT kit includes the following tests:

Click to show or hide information. Server tests

These tests are required for all servers:

  • 1394 Asychronous and Isochronous Loopback
  • 1394 Configuration ROM
  • 1394 Interoperability
  • ACPI Pre-OS - Server

Note: The ACPI Pre-OS tests are not included in HCT 10.0 RTM.

  • ACPI Sleep
  • ACPI Stress - Device I/O (Extended)
  • ACPI Stress - Device I/O (Varied RTC)
  • ACPI Verifier
  • Address Windowing Extensions
  • CardBus Bridge Power Management Register
  • CardBus Bridge Register
  • DirectSound Driver
  • Disk Stress
  • Driver Scenario
  • Driver Verifier - System
  • Enable/Disable - Device I/O
  • Extensible Firmware Interface
  • FAT - File I/O
  • Floppy - File I/O
  • Full Duplex
  • GUIMAN GDI with Poly Clip
  • LAN Device Wake Up
  • Mapped - File I/O
  • Mixer Driver
  • NDIS
  • NTFS - File I/O
  • PCI 2.2 Compliance
  • PCI 3.3 Volt Auxiliary Power Load
  • PCI Latency
  • PCI Test Adapter Diagnostic
  • PCI Voltage Requirement
  • PME# Signal Routing
  • PME# Signal Routing - Simultaneous
  • PXE Server installation
  • Remote Boot
  • RGB Rasterization
  • S3 Compliance
  • Serial Port Stress
  • Server-Client Stress
  • Signed Driver Check
  • Storage Device Stress
  • SysCache
  • SysParse
  • System Stress
  • System Wake-up
  • Unreported I/O
  • USB Device Framework
  • USB Device Wake Up
  • USB Host Controller Compliance
  • USB Manual Interoperability
  • USB Port Reporting
  • USB Self-powered Hub
  • USB System Port Presence
  • Wake Device Server
  • Wave Driver

Test suite run time: 100 hours

Click to show or hide information. Hardware requirements

Important: All hardware in the system, or shipping with the system, must be logo'd for Microsoft Windows Whistler Server.

The following hardware is required to run the Server HCT.

  • Two hard disk drives with a minimum 10 GB of combined storage capacity (for servers without RAID controllers only)
  • Three hard disk drives with a minimum 10 GB of combined storage capacity (for servers with RAID controllers only)
  • One CD-ROM drive or DVD-ROM drive
  • The following 1394 hardware is required if the test system implements 1394:
  • One 1394 hard disk drive
  • Two 1394 host controllers
  • One 1394 cable
  • One 1394 camera
  • One additional 1394 device (any type)
  • One audio device (required only if the server ships with an audio device)
  • One audio loopback cable (required only if the server ships with an audio device).

An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

  • One modem (required only if the server ships with a modem)
  • Maximum RAM capacity of the test server
  • Two PCI 10/100 network adapters
  • Two 10/100 network hubs
  • Three FoxFire II PCI adapters
  • One monitor
  • Three self-powered USB hubs
  • One USB joystick
  • One USB scanner or printer
  • One USB camera
  • One USB keyboard
  • One serial loopback connector for each serial port on the test system

The following table specifies the connections for the serial loopback connector. If you are using an existing connector, verify that it meets these specifications:

Connections for a Serial Loopback RS232C Connector

Connect this pin | To this pin
Tx | Rx
RTS | CTS, DCD (Same as CD)
DTR | DSR, RI

  • Eight Intel Pentium, or equivalent, desktop test systems

Each system must include the following:

  • Minimum 64 MB of RAM
  • One 10/100 network adapter
  • 250 MB of available hard disk space on system installation drive
  • One remote test host

The remote test host must include the following:

  • Minimum 64 MB of RAM
  • Two 10/100 network adapters
  • 250 MB of available hard disk space on system installation drive

Important: The remote test host must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Windows XP HCT 10.0.

  • Windows Whistler Server operating system
  • The current release of the Windows XP HCT 10.

Click to show or hide information. Tester knowledge requirements

To run the Windows XP HCT 10.0, testers must know how to do the following tasks:

  • Create, format, and remove partitions on a hard disk drive.
  • Install RAM in a test system.
  • Set power management options.
  • Physically install the FoxFire II PCI adapters.
  • Physically install the RAID test adapter and attach devices to it.
  • Create a domain and a domain administrator account.
  • Install the Windows Whistler Server operating system from the product CD.

Related links


Preparing for server testing

Before running the Hardware Compatibility Tests (HCT) on a test server, you must install and configure the system hardware, and install Windows® Whistler Server. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge requirements, see Servering overview.

Test system configuration

The Windows XP HCT 10.0 kit requires the following system configuration tasks to prepare the test systems for server testing. They can be completed in any order.

To configure the test server and remote test host for testing

Component

Requirement

1394

If 1394 is implemented on the test system, the following hardware must be installed:

Install two 1394 host controllers

Install one 1394 hard disk drive

Install one 1394 camera

Install one additional 1394 device (of any type)

Connect one 1394 cable to both 1394 host controllers

Audio

Install one audio device (required only if the server ships with an audio device).

Connect one audio loopback cable (required only if the server ships with an audio device). An audio loopback cable connects the LineOut on the audio device to the MicIn on the audio device.

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default

Display adapters

First set the display adapter to its maximum color depth, and then set it to its maximum resolution.

HCT CD

Insert the Windows XP HCT 10.0 CD in the CD-ROM or DVD-ROM drive.

The Windows XP HCT 10.0 CD must remain in the drive for the duration of HCT testing.

Microprocessor

If the test system supports multiple microprocessors, test it in a configuration with the maximum number of microprocessors installed.

Memory

Install the maximum RAM capacity of the server.

Modem

Install one modem (required only if the server ships with a modem).

Network
  • Install two PCI 10/100 network adapters.
  • Connect the test server to both 10/100 network hubs.
  • Connect the eight desktop systems to one 10/100 network hub.
  • Connect the remote test host to both 10/100 network hubs
  • Create a domain administrator user account, and give this account local administrative privileges on all systems.
  • Log on to all systems using the domain administrator user account.

PCI test adapters

Install one FoxFire II PCI adapter on PCI bus 0.

The FoxFire II PCI adapter must remain in the drive for the duration of PCI test adapter testing.

Additional FoxFire II PCI adapters must be installed immediately before , and removed immediately after, running the following tests

  • PCI Voltage Requirement
  • PME# Signal Routing
  • System Wake Up
  • PCI Adapter Diagnostic
  • Simultaneous PME# Signal Assertion
  • 3.3 Vaux Auxiliary Power Load

Important: If your test system does not have enough PCI slots to accommodate three FoxFire II PCI adapters, remove other devices when running the tests listed above. If there are still not three available PCI slots after removing other PCI devices, some PCI tests will not pass. Note this in your readme.txt when making the test submission. Devices have the following priority in the test system, from highest to lowest:

  1. Display Adapter or SCSI controller required to start the test system
  2. FoxFire II PCI test adapters
  3. Network Adapter
  4. Audio Adapter
  5. Modem

Important: If your test system does not include PCI slots or is designed to only use low profile PCI cards, then no FoxFire II adapters can be installed, and all tests that require FoxFire II adapters will fail. Note that your test system only includes low-profile PCI slots in your readme.txt when you make your test submission.

Power

From the Control Panel, select Power Options, and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.

Remote test host

Install the Windows XP HCT 10.0 on the remote test host.

During HCT installation, in the Test Selection Wizard, select Server to indicate that this system is a remote test host.

Software

Install the Windows Whistler Server operating system on the test system.

Install the Windows XP HCT 10.0 on the test system.

Serial ports

Install one serial loopback connector for each serial port on the test system.

Storage

Format hard disk drives as follows:

  • One FAT 32 boot partition of 3 GB minimum, designated as C:\
  • One FAT 32 partition of 2 GB minimum, designated as D:\ (not required for 64-bit systems)
  • One NTFS partition of 2 GB minimum, designated as E:\
  • One CD ROM or DVD ROM drive, designated as F:\
  • One compressed NTFS partition of 2 GB minimum, designated as G:\

Related links


ACPI Pre-OS (All Server) test

This test creates a boot disk and runs the entire set of ACPI Pre-OS tests.

Run time: 3 minutes

Log file name: Acpimstr.log, other logs are provided for the tests in this suite

Operating system: Windows XP Professional

Test assertions: Chapter 3

Related links

Running the ACPI Pre-OS (All Server) test


Address Windowing Extensions test

The Address Windowing Extensions test (AWE) examines the Win32 AWE on systems with more than 4 GB of memory. The AWE provides virtual addressing to regions of physical memory to 32-bit user applications, a capability normally unavailable to 32-bit systems.

Run time: One to several hours, depending on memory size and processor speed

Log file name: awe_prms.log

Operating system: Windows Whistler Server

Test assertions: TBD

Related links

Running the Address Windowing Extensions test


Server-Client Stress test

This test uses a set of clients and a remote test host to simulate real-world server scenarios.

Make sure that the server, remote test host, and clients are configured as specified in Preparing for server testing before you run the Server-Client Stress test.

Run time: 24 hours

Log file name: Srvtst.log

Operating system: Windows Whistler Server

Test assertions: TBD

Related links

Running the Server test


Datacenter Server testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To logo a Datacenter Server, and qualify it to appear on the Windows® Hardware Compatibility List (HCL), you must complete the required Hardware Compatibility Tests (HCT). These tests verify that your product functions properly with the Windows Whistler Datacenter Server operating system.

The test procedures are divided into a testing overview topic; a preparing for testing topic; and test description and running topic for each test.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

The Datacenter Server HCT kit includes the following tests:

Click to show or hide information. Datacenter server tests

These tests are required for all Datacenter servers:

  • Datacenter Configuration Checker
  • Datacenter Server Stress
  • Datacenter Server Stress - Refresh
  • Signed Driver Check
  • SysParse

Note: Servers submitted for Datacenter Server qualification must pass the 14-day version of the server test for the initial submission. Subsequent refresh submissions are required to run only the 7-day version of the server test.

Test suite run time: 15 days for an initial submission, 8 days for a refresh submission

Click to show or hide information. Hardware requirements

Important: All hardware in the system, or shipping with the system, must be logo'd for Microsoft® Windows Whistler Server. Additionally, all kernel mode and software drivers (except drivers for which there is no logo program) in the system must be digitally signed for Windows Whistler Server.

The following hardware is required to run the Datacenter Server HCT kit.

  • Two hard disk drives with a minimum 10 GB combined storage capacity (for servers without RAID controllers only)
  • Three hard disk drives with a minimum 10 GB combined storage capacity (for servers with RAID controllers only)
  • One CD-ROM drive
  • Maximum RAM capacity of test server
  • Two PCI 10/100 network adapters
  • Two 10/100 network hubs
  • One FoxFire II PCI adapter
  • Eight Intel Pentium, or equivalent, desktop test systems

Each system must include the following:

  • Minimum 64 MB of RAM
  • One 10/100 network adapter
  • 250 MB available hard disk space on system installation drive
  • One remote test host

The remote test host system must include the following:

  • Minimum 64 MB of RAM
  • Two 10/100 network adapters
  • 250 MB of available hard disk space on system installation drive

Important: The remote test host must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Datacenter Server HCT kit.

  • Windows Whistler Server operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for Datacenter Server, testers must know how to do the following tasks:

  • Create, format, and remove partitions on a hard disk drive.
  • Install RAM in a test system.
  • Set power management options.
  • Physically install the RAID test adapter and attach devices to it.
  • Create a domain and a domain administrator account.
  • Install the Windows Whistler Server operating system from the product CD.

Related links


Preparing for Datacenter Server testing

Before running the Hardware Compatibility Tests (HCT) on a test server, you must install and configure the system hardware, and install Windows Whistler Server. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge requirements, see Datacenter Servering overview.

Test system configuration

The Windows XP HCT 10.0 kit requires the following system configuration tasks to prepare the test system for Datacenter Server testing. They can be completed in any order.

To configure the test server and remote test host for server testing

Component

Requirement

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default

Display adapters

First set the display adapter to its maximum color depth, and then set it to its maximum resolution.

HCT CD

Insert the Windows XP HCT 10.0 CD in the CD-ROM or DVD-ROM drive.

The HCT CD must remain in the drive for the duration of HCT testing.

Microprocessor

If the test system supports multiple microprocessors, test it in a configuration with the maximum number of microprocessors installed.

Memory

Install the maximum RAM capacity of the server.

Modem

Install one modem (required only if the server ships with a modem).

Network
  • Install two PCI 10/100 network adapters.
  • Connect the test server to both 10/100 network hubs.
  • Connect the eight desktop systems to one 10/100 network hub.
  • Connect the remote test host to both 10/100 network hubs
  • Create a domain administrator user account, and give this account local administrative privileges on all systems.
  • Log on to all systems using the domain administrator user account.

  • Note: Datacenter Servers can also be tested with a Gigibit Ethernet network. To test in a Gigibit Ethernet configuration, Gigabit capable network adapters, hubs, and cable are required.

PCI adapters

Install one FoxFire II PCI adapter immediately before running the PCI Latency test.

Power

From the Control Panel, select Power Options, and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.

Remote test host

Install the Windows XP HCT 10.0 on the remote test host.

During HCT installation, in the Test Selection Wizard, select Datacenter Server to indicate that this system is a remote test host.

Software

Install the Windows Whistler Server operating system on the test system.

Install the Windows XP HCT 10.0 on the test system.

Storage

Format hard disk drives as follows:

  • One NTFS boot partition of minimum 10 GB, designated as C/:

Related links


Datacenter Configuration Checker test

This test generates configuration files that reflect the configuration of the Datacenter-based server. It tracks any changes in the configuration of the test server

Run time: TBD

Log file name: Cfgcmp.log

Operating system: Windows Whistler Datacenter Server

Test assertions: Chapter 30

Related links

Running the Datacenter Configuration Checker test


Datacenter Server Stress test

This test uses a set of clients and a remote test host to simulate real-world server scenarios.

Make sure that the server, remote test host, and clients are configured as specified in Preparing for server testing before you run the Server-Client Stress test.

Run time: 14 days

Log file name: dcsrvtst.log

Operating system: Windows Whistler Datacenter Server

Test assertions: Chapter 30

Related links

Running the Datacenter Server Stress test


Datacenter Server Stress – Refresh test

This test uses a set of clients and a remote test host to simulate real-world server scenarios.

You must run the Datacenter Server Stress - Refresh test, instead of the Datacenter Server Stress test, for updated submissions for Datacenter-based servers

Make sure that the server, remote test host, and clients are configured as specified in Preparing for server testing before you run the Server-Client Stress test.

Run time: 7 days

Log file name: dcsrvtst.log

Operating system: Windows Whistler Datacenter Server

Test assertions: Chapter 30

Related links

Running the Datacenter Server Stress - Refresh test


Cluster server testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To logo a cluster server, and qualify it to appear on the Hardware Compatibility List (HCL), you must complete the required Hardware Compatibility Tests (HCT). These tests verify that your product functions properly with the Windows® Whistler Server operating system.

The test procedures are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

The Cluster Server HCT kit includes the following tests, which must be run in the order listed:

Click to show or hide information. Cluster server tests

These tests are required for all cluster servers, and must be run in the order listed:

  1. Signed Driver Check
  2. Client Server Phase 1: Client
  3. Client Server Phase 1: Server
  4. Client Server Phase 2: Setup
  5. Client Server Phase 2: Run
  6. Validate 1 Node Cluster
  7. Validate N Node Cluster
  8. Move N Node Cluster

Test suite run time: 100 hours

Click to show or hide information. Hardware requirements

Important: All hardware in the system, or shipping with the system, must be logo'd for Microsoft® Windows Whistler Server.

The following hardware is required to run the Cluster Server HCT kit.

  • Each node in the cluster must include the following:
  • Two hard disk drives with a minimum 10 GB combined storage capacity
  • One CD-ROM drive
  • Two PCI 10/100 network adapters
  • 256 MB of RAM

Additionally, each node in the cluster must be a server logo'd for Windows Whistler Server,

  • The cluster must have PCI SCSI, Fibre Channel, or RAID controllers and drives installed for the shared storage bus (in addition to the drives used for the internal boot drive on each node of the cluster).
  • The storage bus must have one hard disk drive with a minimum 10 GB storage capacity.
  • Two 10/100 network hubs
  • Eight Intel Pentium, or equivalent, desktop test systems

Each system must include the following:

  • Minimum 64 MB or RAM
  • One 10/100 network adapter
  • 250 MB of available hard disk space on system installation drive
  • One remote test host

The remote test host must include the following:

  • Windows Whistler Server or Windows Whistler Advanced Server
  • Minimum 64 MB of RAM
  • Two 10/100 network adapters
  • 250 MB available hard disk space on system installation drive

Important: The remote test host must be included on the Microsoft Windows Hardware Compatibility List (HCL).

Click to show or hide information. Software requirements

The following software is required to run the Cluster Server HCT kit.

  • Windows Whistler Server operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for Cluster Server, testers must know how to do the following tasks:

  • Create, format, and remove partitions on a hard disk drive.
  • Install RAM in a test system.
  • Install and configure a server cluster
  • Set power management options.
  • Physically install the RAID test adapter and attach devices to it.
  • Create a domain and a domain administrator account.
  • Install the Windows Whistler Server operating system from the product CD.

Related links

Preparing for servering


Preparing for cluster server testing

Before running the Hardware Compatibility Tests (HCT) on a test cluster server, you must install and configure the system hardware, and install Windows Whistler Server. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge requirements, see Cluster Servering overview.

Test system configuration

The HCT kit requires the following system configuration tasks to prepare the test cluster server for testing. They can be completed in any order.

To configure the test cluster server and remote test host for server testing

Component

Requirement

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default

Memory

Install 256 MB of RAM on each node of the cluster.

Network
  • Install two PCI 10/100 network adapters.
  • Connect the test server to both 10/100 network hubs.
  • Connect the eight desktop systems to one 10/100 network hub.
  • Connect the remote test host to both 10/100 network hubs.
  • Create a domain administrator user account, and give this account local administrative privileges on all systems.
  • Log on to all systems using the domain administrator user account.

Power

From the Control Panel, select Power Options, and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.

Remote test host

Install the Windows XP HCT 10.0 on the remote test host.

During HCT installation, in the Test Selection Wizard, select Cluster Server to indicate that this system is a remote test host.

Software

Install the Windows Whistler Server operating system.

Install the Windows XP HCT 10.0 on each node in the test cluster.

Storage

Format hard disk drives on each node as follows:

  • One NTFS partition of 3 GB minimum

Install SCSI, RAID, or Fibre Channel controllers on each node of the cluster, and connect these controllers to the shared storage bus. The shared storage bus must be connected to a shared disk array.

The following diagrams illustrate the cluster configurations for two-node clusters with a shared SCSI storage bus and with a shared Fibre Channel storage bus.

Figure 1. Standard MSCS configuration using SCSI (or SSA) adapters for the shared storage bus

Figure 2. Standard MSCS configuration using Fibre Channel adapters for the shared storage bus

Related links

Cluster server testing overview


Client Server Phase 1: Client test

This test verifies that all of the cluster operations between nodes, such as move and failover, work properly.

Before running the test, you must ensure that all nodes are not joined to the cluster being tested.

Run time: 48 hours

Log file name: Nnodesim_client.log

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Client Server Phase 1: Client test


Client Server Phase 1: Server test

This test verifies that all of the cluster operations between nodes, such as move and failover,. work properly.

Before running the test, you must ensure that all nodes are not joined to the cluster being tested.

You must run this test from the individual nodes of the cluster server.

Run time: 48 hours

Log file name: Nnodsim_server.log

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Client Server Phase 1: Server test


Client Server Phase 2: Run test

This test verifies that all of the cluster operations between nodes, such as network communication and remote launch, work properly.

All the nodes must be joined to the cluster intended for certification before running the test.

You must run this test from the remote test host after starting Client Server Phase 1: Setup on the cluster nodes.

Run time: 24 hours

Log file name:

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Client Server Phase 2: Run test


Client Server Phase 2: Setup test

This test verifies that all of the cluster operations between nodes, such as network communication and remote launch, work properly.

All the nodes must be joined to the cluster intended for certification before running the test.

You must run this test from the individual nodes of the cluster server.

Run time: 24 hours

Log file name: Phase1Register.log

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Client Server Phase 2: Setup test


Move N Node Cluster test

This verifies that the resource move operation works properly.

You must run this test with each node already joined to the cluster.

You must run this test from the remote test host.

Run time: 48 hours

Log file name: Moven.log

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Move N Node Cluster test


Validate 1 Node Cluster test

This test verifies that all of the cluster resources will work with only a single node.

This is an important test case because in the event of failure, users expect their system to function even after several nodes of the cluster fail

You must run this test from the remote test host after joining the disk array and creating a 1 node cluster.

Run time: 24 hours

Log file name: vald1.log

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Validate 1 Node Cluster test


Validate 2 Node Cluster test

This test verifies that all of the cluster operations between nodes, such as move and failover, work properly.

You must run this test from the remote test host after creating a 2-node cluster and re-assigning the IP address fro all disks used as cluster resources.

Note: It is not required to run this test for a two-node cluster certification.

Run time: 24 hours

Log file name: vald2.log

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Validate 2 Node Cluster test


Validate N Node Cluster test

This test verifies that all of the cluster operations between nodes, such as move and failover,. work properly.

You must run this from the remote test host.

Run time: 48 hours

Log file name: Valdn.log

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Validate N Node Cluster test


HAL testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

Before signing a hardware abstraction layer (HAL), you must complete the required Hardware Compatibility Tests (HCT). These tests verify that your product functions properly with the Windows® Whister Server operating system.

Note: The HAL HCT is designed to test HALs for Windows® XP Advanced Server and Windows Whistler Datacenter Server only.

The test procedures are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

The HAL test kit includes the following test:

HAL tests

  • HAL Test
  • Public Import

Click to show or hide information. Hardware requirements

The following hardware is required to run the HAL HCT kit:

  • One SCSI controller that uses one of the following chipsets
  • Symbios 875 and Symbios 876 (for systems with 32-bit PCI busses)
  • Symbios 22910 (For systems with 64-bit PCI busses, or systems that use hardware map registers)

Click to show or hide information. Software requirements

The following software is required to run the HAL HCT kit.

  • Windows Whistler Advanced Server and Windows Whistler Datacenter Server operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for HAL, testers must know how to do the following tasks:

  • Physically install the SCSI adapter.
  • Install the Windows Whistler Server operating system from the product CD.

Related links

Preparing for HAL testing


Preparing for HAL testing

Before running the Hardware Compatibility Tests (HCT) on a test HAL, you must install and configure the system hardware, and install Windows Whistler Server. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge requirements, see HAL testing overview.

Test system configuration

The HCT kit requires the following system configuration tasks to prepare the test system for HAL testing. They can be completed in any order.

To configure the test server for testing

Component

Requirement

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default

SCSI

Physically install the SCSI controller on PCI bus 0.

HAL test driver

To install the HAL test driver:

  1. From the Windows desktop, click Start, and then click Run.
  2. In the Run dialog box, type devmgmt.msc and click OK.

Device Manager opens.

  3. On the View menu, select Devices by connection.
  4. Expand Advanced Configuration and Power Interface (ACPI) PC -> Microsoft ACPI-Compliant System -> PCI Bus.
  5. Under PCI Bus, locate PCI SCSI Adapter.
  6. Right-click PCI SCSI Adapter and click Properties.

Note: Be sure to select the PCI SCSI adapter that was installed for the HAL test, and not a PCI SCSI adapter that is necessary to boot the test system.

  7. Click the Driver tab, and then click Update Driver.
  8. In the Update Driver wizard, select Install from a lost or specific location (Advenced), and then click Next.
  9. Select Don't search, I will choose the driver to install, and then click Next.
  10. Select the HAL Test driver, and then click Next.
  11. In the Hardware Installation dialog box, click Continue Anyway.

Memory

Install the maximum RAM capacity of the server.

Power

From the Control Panel, select Power Options, and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.

Software

Install the Windows Whistler Server operating system on the test system.

Install the Windows XP HCT 10.0 on the test system.

Storage

Format hard disk drives with one NTFS partition of 2 GB minimum, designated as C:\

Related links

HAL testing overview


HAL test

The Hardware Abstraction Layer (HAL) test examines DMA and timing APIs to verify that third-party (non-Microsoft) HALs function properly with Windows XP Professional.

Run time: 20 minutes - 1 hour

Log file name: Haltest.log

Operating system: Windows XP Professional

Test assertions: Chapter 26

Hardware requirements

One SCSI controller that uses one of the following chipsets

  • Symbios 875 and Symbios 876 (for systems with 32-bit PCI busses)
  • Symbios 22910 (For systems with 64-bit PCI busses, or systems that use hardware map registers)

Related links

Running the HAL test


Fault tolerant server testing overview

This is preliminary documentation and subject to change. More complete documentation targeted for Server testing will be released at a later date.

To logo a fault tolerant server, and qualify it to appear on the Hardware Compatibility List (HCL), you must complete the required Hardware Compatibility Tests (HCT). These tests verify that your product functions properly with the Windows® XP operating system.

The test procedures for servers are divided into a testing overview topic, a preparing for testing topic, and test description and running topics for each test.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

The Fault Tolerant Server test kit includes the following tests:

Manual tests

The following tests require user intervention and must be run individually:

Automated tests

The following tests are automated and must be run individually:

Test suite run time: TBD hours

Click to show or hide information. Hardware requirements

Important: All hardware in the system, or shipping with the system, must be logo'd for Microsoft® Windows Whistler Server.

The following hardware is required to run the Windows XP HCT 10.0.

  • Two hard disk drives with a minimum 10 GB of combined storage capacity (for servers without RAID controllers only)
  • Three hard disk drives with a minimum 10 GB of combined storage capacity (for servers with RAID controllers only)
  • One SCSI controller or Fibre Channel adapter
  • One CD-ROM drive
  • One audio device (required only if the server ships with an audio device)
  • Maximum RAM capacity of the test server
  • One PCI 10/100 network adapters
  • One 10/100 network hub
  • Eight Intel Pentium, or equivalent, desktop test systems:

Each system must include the following:

  • Minimum 64 MB of RAM
  • One 10/100 network adapter
  • 250 MB of available hard disk space on system installation drive
  • One remote test host is required to run the server test.

The remote test host must have:

  • Minimum 64 MB of RAM
  • One 10/100 network adapters
  • 250 MB of available hard disk space on system installation drive

Click to show or hide information. Software requirements

The following software is required to run the Fault Tolerant Server HCT:

  • Windows Whistler Server operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run HCT for fault tolerant servers, testers must know how to do the following tasks:

  • Create, format, and remove partitions on a hard disk drive.
  • Install RAM in a test system.
  • Set power management options.
  • Physically install the FoxFire II PCI adapters.
  • Physically install the RAID test adapter and attach devices to it.
  • Create a domain and a domain administrator account.
  • Install the Windows Whistler Server operating system from the product CD.

Related links

Preparing for fault tolerant server testing
FoxFire II PCI adapters.


Preparing for fault tolerant server testing

Before running the Hardware Compatibility Tests (HCT) on a test Fault Tolerant server, you must install and configure the system hardware, and install Windows Whistler Server. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge requirements, see Fault tolerant server testing overviewFault tolerant server testing overview(Sy_212).

Test system configuration

The HCT kit requires the following system configuration tasks to prepare the test fault tolerant server for testing. They can be completed in any order.

To configure the test custer server and remote test host for server testing

Component

Requirement

BIOS

Logo-compliant ACPI BIOS, with ACPI mode enabled by default

HCT CD

Insert the Windows XP HCT 10.0 CD in the CD-ROM or DVD-ROM drive.

The HCT CD must remain in the drive for the duration of HCT testing.

Memory

Install 256 MB of RAM on each node of the cluster.

Network
  • Install one PCI 10/100 network adapter.
  • Connect the test server to the 10/100 network hub.
  • Connect the eight desktop systems to the 10/100 network hub.
  • Connect the remote test host to the 10/100 network hub.
  • Create a domain administrator user account, and give this account local administrative privileges on all systems.
  • Log on to all systems using the domain administrator user account.

Power

From the Control Panel, select Power Options, and do the following:

  • On the Power Schemes tab, set Turn off monitor to Never.
  • On the Power Schemes tab, set Turn off hard disks to Never.
  • On the Power Schemes tab, set System standby to Never.
  • On the Power Schemes tab, set System hibernates to Never.
  • On the Hibernate tab, deselect the Enable hibernate support check box.

Remote test host

Install the Windows XP HCT 10.0 on the remote test host.

During HCT installation, in the Test Selection Wizard, select Cluster Server to indicate that this system is a remote test host.

Software

Install the Windows Whistler Server operating system.

Install the Windows XP HCT 10.0 on each node in the test cluster.

Storage

Format hard disk drives on each node as follows:

  • One NTFS partition of 2 GB minimum

Install SCSI, RAID, or Fibre Channel controllers on each node of the cluster, and connect these controllers to the shared storage bus.


Running the ACPI Pre-OS (All Desktop) test

To run the ACPI Pre-OS (All Desktop) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ACPI Pre-OS (All Desktop), and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the ACPI Pre-OS (All Mobile) test

To run the ACPI Pre-OS (All Mobile) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ACPI Pre-OS (All Mobile), and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the ACPI Pre-OS (All Server) test

To run the ACPI Pre-OS (All Server) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ACPI Pre-OS (All Server), and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the ACPI Stress - Device I/O (Varied RTC) test

To set up the test system

  1. Edit the boot.ini file on the test system with Microsoft Notepad.
  2. Add the following line to the boot.ini file.

MAXMEM=512

  3. Save boot.ini and restart the test system.
  4. Remove this line from boot.ini after running this test.

To configure the test system

  1. Insert a data CD in the CD-ROM drive of the test system.
  2. Connect a serial loopback connector to all serial ports on the test system.
  3. Connect the test system to a TCP/IP network with at least one other system on the network.

This TCP/IP network must have low traffic in order to not interfere with the test. All systems that are on the TCP/IP network when the test starts must remain on the network for the duration on the test.

Important: Avoid keyboard and mouse input while this test is running.

To run the ACPI Stress - Device I/O (Varied RTC) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ACPI Stress - Device I/O (Varied RTC), and then click Add Selection.
  3. In the Selected Tests pane, double click ACPI Stress - Device I/O (Extended).
  4. In the Edit Test Parameters dialog box, click \\server_ip\share, and then enter the name or IP address of the remote test host, followed by the name of the shared directory, and then click OK.

For Example: If the remote test host has an IP address of 192.168.7.27, and a shared directory c:\shared, you would enter \\192.168.7.27\shared in the Edit Test Parameters dialog box.

  5. Click Start Tests.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the ACPI Verifier test

To set up the test system

  1. Edit the boot.ini file on the test system with Microsoft Notepad.
  2. Add the following line to the boot.ini file.

MAXMEM=512

  3. Save boot.ini and restart the test system.
  4. Remove this line from boot.ini after running this test.

To run the ACPI Verifier test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ACPI Verifier, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the AGP Interface test

To run the AGP Interface test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select AGP Interface, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the AGP Transfer test

To run the AGP Transfer test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select AGP Transfer, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the DirectDraw Accelerated Graphics Port Memory test

To run the DirectDraw Accelerated Graphics Port Memory test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DirectDraw Accelerated Graphics Port Memory, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Disk Stress test

To run the Disk Stress test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Disk Stress, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Driver Scenario test

To run the Driver Scenario test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Driver Scenario, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Extensible Firmware Interface test

To run the Extensible Firmware Interface test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Extensible Firmware Interface, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Legacy Free test

To run the Legacy Free test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Legacy Free, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Signed Driver Check test

To run the Signed Driver Check

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Signed Driver Check, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Remote Boot test

To configure the test system

  1. Connect the test system, DHCP server, and remote test host to the 10/100 network hub.
  2. On the remote test host, Start Test Manager.
  3. Run PXE Server Installation.

To run the Remote Boot test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Remote Boot, and then click Add Selection.
  3. Click Start Tests.

The test system will boot from a drive on the remote test host. The system will display two testing options: Remote Boot and Remote Lockout.

  4. Select Remote Boot and then click ENTER.

The test system will run the Remote Boot test and then boot from a drive on the remote test host. The system will display two testing options: Remote Boot and Remote Lockout.

  5. Select Remote Lockout and then click ENTER.

The test system will run the Remote Lockout test and then prompt you to restart the system.

  6. Restart the test system from the system hard disk drive.
  7. View test log files.
  8. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the RGB Rasterization test

To run the RGB Rasterization test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select RGB Rasterization, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Serial Port Stress test

To run the Serial Port Stress test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Serial Port Stress, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Soft Enumeration Stress test

To run the Soft Enumeration Stress test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Soft Enumeration Stress, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the SysParse test

To run the SysParse test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select SysParse, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the System Stress test

To run the System Stress test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select System Stress, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Unreported I/O test

To run the Unreported I/O test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Unreported I/O, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Unreported Memory test

To run the Unreported Memory test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Unreported Memory, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the GUIMAN GDI with Poly Clip test

To run the GUIMAN GDI with Poly Clip test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select GUIMAN GDI with Poly Clip, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Address Windowing Extensions test

To run the Address Windowing Extensions test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Address Windowing Extensions, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Headless Support test

This test verifies the existence and validity of an ACPI Serial Port Console Redirection (SPCR) table.

Run time: TBD

Log file name: ???.log

Operating system: Windows Whistler Server

Test assertions: Chapter 29

Related links

Running the Headless Support TestRunning the Headless Support test(Sy_89)


Running the Headless Support test

To run the Headless Support test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Headless Support and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Client Server Phase 1: Client test

To run the Client Server Phase 1: Client test

  1. On one of the nodes of the cluster, Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Client Server Phase 1: Client, and then click Add Selection.
  3. Click Start Tests.
  4. On every other node of the cluster, run Client Server Phase 1: Server.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Client Server Phase 1: Server test

To run the Client Server Phase 1: Server test

  1. On one of the nodes of the cluster, run Client Server Phase 1: Client.
  2. On each node not running Client Server Phase 1: Client, Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select Client Server Phase 1: Server, and then click Add Selection.
  4. Click Start Tests.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Client Server Phase 2: Setup test

To run the Client Server Phase 2: Setup test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Client Server Phase 2: Setup, and then click Add Selection.
  3. Click Start Tests.
  4. On the remote test host, run Client Server Phase 2: Run.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Validate 1 Node Cluster test

To run the Validate 1 Node Cluster test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Validate 1 Node Cluster, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Validate 2 Node Cluster test

To run the Validate 2 Node Cluster test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Validate 2 Node Cluster, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Validate N Node Cluster test

To run the Validate N Node Cluster test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Validate N Node Cluster, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Move N Node Cluster test

To run the Move N Node Cluster test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Move N Node Cluster, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the HAL test

To run the HAL test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select HAL, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the DVD test

To run the DVD test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DVD, and then click Add Selection.
  3. Click Start Tests.
  4. Insert a DVD-ROM into the drive when prompted.
  5. Insert a data (non-audio) CD-ROM into the drive when prompted.
  6. Insert an audio CD into the drive when prompted.
  7. When the test is completed, view test results.
  8. Run all other required tests.

After you have successfully completed all tests required for this test submission, view test log files.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Full Duplex test

To run the Full-Duplex test

  1. Connect an audio loopback connector to the LineOut on your soundcard, and connect the other end of the connector to the LineIn or MicIn (microphone in) on the soundcard.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select Full Duplex, and then click Add Selection.
  4. Click Start Tests.

A message box displays with the following message:

Full Duplex test requires a wave loopback cable. Do you want to run the Mixer Calibration Wizard? If you do not run the wizard, the test will assume that you have appropriate mixer settings.

  5. Click Yes to run the Mixer Calibration Wizard, or No if you have already set your volume levels.
  6. Follow the instructions in the Mixer Calibration Wizard.
  7. If the Mixer Calibration Wizard displays a message that the "signal is clipping", click Abort to quit the Full Duplex test, and then click Start.
  8. When the test is completed, view test log files.
  9. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Mixer Driver test

To run the Mixer Driver test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Mixer Driver, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Wave Driver test

To run the Wave Driver test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Wave Driver, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


CD Copy Compare test

This test copies data from a CD-ROM drive to the hard disk drive, and then compares the copied data with the original data on the CD-ROM drive.

Run time: Approximately 20 minutes

Log file name: Cdtest.log

Operating system: Windows XP Professional

Test assertions: TBD

Test system requirements

  • The target hard disk drive must have at least 50 MB of available space.
  • The Windows Whisterl HCT 10.0 CD must be in the CD-ROM drive.

Related links

Running the CD Copy Compare test


Running the CD Copy Compare test

To run the CD Copy Compare test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select CD Copy Compare, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the FAT - File I/O test

To run the FAT - File I/O test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select FAT - File I/O test, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Floppy - File I/O test

To run the Floppy - File I/O test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Floppy - File I/O, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Int 13H Extensions test

To run the Int 13H Extensions test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Int 13H Extensions, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Mapped - File I/O test

To run the Mapped (File I/O) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Mapped - File I/O, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the NTFS - File I/O test

To run the NTFS - File I/O test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select NTFS - File I/O, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Storage Device Stress test

To run the SdStress test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select SdStress, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Syscache test

To run the SysCache test

  1. Start Test Manager .
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select SysCache, select the drive you are testing, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the NDIS test

To run the NDIS test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select NDIS, and then click Add Selection.
  3. Click Start Tests.

Follow the on-screen prompts

  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the PCI Configuration Header Dump test

To run the PCI Configuration Header Dump test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select PCI Configuration Header Dump test, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the PME# Signal Routing test

To run the PME# Signal Routing test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select PME# Signal Routing, and then click Add Selection.
  3. Click Start Tests.
  4. Press the white PME button on the FoxFire II PCI adapter when prompted by the test
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the PME# Signal Routing - Simultaneous test

To set up the test system

  1. Turn off the test system and disconnect it from the power socket.

Caution: Installing a PCI card on the bus while a system is turned on might damage the PCI card or the system. ACPI systems are turned on even when they appear to be turned off. See Chapter 4: PCI Test Specification

  2. Install up to two FoxFire II PCI adapters, depending on the test system configuration. The test system must have each PCI slot on bus 0, up to a maximum of three slots, populated with FoxFire II PCI adapters. All PCI slots in the test system must be populated before testing can begin. Testing with three cards is required if there are three slots on bus 0, with the following exceptions:

If installing three FoxFire II PCI adapters on PCI bus 0 would displace a display adapter or a PCI SCSI controller that is required to boot the test system, only two FoxFire II PCI adapters are required for testing.

If fewer than three PCI slots are available on PCI bus 0, then only two FoxFire II PCI adapters are required for testing.

Important: If you do not install the FoxFire II PCI adapters on bus 0, the PCI Latency test will not detect device failures on bus 0.

  3. Before running the Simultaneous PME# Signal Assertion Test, the corresponding Ground and PME# pins on all Foxfire II cards must be daisy chained as shown in the figure below. Please POWER OFF the system NOW, remove the AC power, daisy chain the cards, and reboot the system. If the cards are already daisy chained, do not power off the system.

  4. Connect the test system to the power socket and turn on the test system.

To run the PME# Signal Routing - Simultaneous test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Simultaneous PME# Signal Assertion, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

Related links

FoxFire II PCI adapter


Running the PCI 3.3 Volt Auxiliary Power Load test

To set up the test system

  1. Turn off the test system and disconnect it from the power socket.

Caution: Installing a PCI card on the bus while a system is turned on might damage the PCI card or the system. ACPI systems are turned on even when they appear to be "off". See Chapter 4: PCI Test Specification

  2. Install up to three FoxFire II PCI adapters, depending on the test system configuration. The test system must have each PCI slot on bus 0, up to a maximum of three slots, populated with FoxFire II PCI adapters. All PCI slots in the test system must be populated before testing can begin. Testing with three cards is required if there are three slots on bus 0, with the following exceptions:

If installing three FoxFire II PCI adapters on PCI bus 0 would displace a display adapter or a PCI SCSI controller that is required to boot the test system, only two FoxFire II PCI adapters are required for testing.

If fewer than three PCI slots are available on PCI bus 0, then only two FoxFire II PCI adapters are required for testing.

Important: If you do not install the FoxFire II PCI adapters on bus 0, the PCI Latency test will not detect device failures on bus 0.

  3. Connect the test system to the power socket and power up the test system.

To run the 3.3 Vaux Auxiliary Power Load test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select 3.3 Vaux Auxiliary Power Load Test, and then click Add Selection.
  3. Click Start Tests.

Follow the on-screen prompts.

  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.

Related links

FoxFire II PCI adapter


Running the PCI Voltage Requirement test

To run the PCI Voltage Requirement test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select PCI Voltage Requirement test, and then click Add Selection.
  3. Click Start Tests.
  4. Attach the leads of the voltmeter to the points labeled "GND" and "3.3V" on each of the Foxfire test adapters, and make a note of the voltage on each adapter. Test the voltage across the GND and 3.3V pins shown in a blue box in the figure below. The voltage should be in the 3.0V - 3.6V range.

  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the System Wake Up test

To run the System Wake Up test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select System Wake Up test, and then click Add Selection.
  3. Click Start Tests.

Follow the on-screen prompts.

  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the PCI Test Adapter Diagnostic test

To run the PCI Test Adapter Diagnostic test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select PCI Test Adapter Diagnostic, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Server-Client Stress test

To run the Server-Client Stress test

  1. On the remote test host, Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Server-Client Stress, and then click Add Selection.
  3. Click Start Tests.

The Validation Tests - Server Test dialog box displays.

  4. In the Server Name box, enter the network name of the test server and click Verify.
  5. For each of the eight clients:
  • In the Client Names box, enter the network name of the client and click Add.
  6. Click Start to start the test.
  7. In the Specify Account Password dialog box, enter the domain name, user name, and password of a user with administrative permissions on the server, the clients, and the remote test host, and then click OK.
  8. When the test is completed, view test log files.

Note: When returning results on the test server, you will be prompted to "pull in additional test results" from the remote test host.

  9. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Datacenter Server Stress test

To run the Datacenter Server Stress test

  1. On the remote test host, Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Datacenter Server Stress test, and then click Add Selection.
  3. Click Start Tests.

The Validation Tests - Server Test dialog box displays.

  4. In the Server Name box, enter the network name of the test Datacenter server and click Verify.
  5. For each of the eight clients:
  • In the Client Names box, enter the network name of the client and click Add.
  6. Click Start to start the test.
  7. In the Specify Account Password dialog box, enter the domain name, user name, and password of a user with administrative permissions on the test Datacenter server, the clients, and the remote test host, and then click OK.
  8. When the test is completed, view test log files.

Note: When returning results on the Datacenter Server, you will be prompted to "pull in additional test results" from the remote test host.

  9. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Datacenter Server Stress - Refresh test

To run the Datacenter Server Stress - Refresh test

  1. On the remote test host, Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Datacenter Server Stress - Refresh test, and then click Add Selection.
  3. Click Start Tests.

The Validation Tests - Server Test dialog box displays.

  4. In the Server Name box, enter the network name of the test Datacenter server and click Verify.
  5. For each of the eight clients:
  • In the Client Names box, enter the network name of the client and click Add.
  6. Click Start to start the test.
  7. In the Specify Account Password dialog box, enter the domain name, user name, and password of a user with administrative permissions on the test Datacenter-based server, the clients, and the remote test host, and then click OK.
  8. When the test is completed, view test log files.

Note: When returning results on the Datacenter-based server, you will be prompted to "pull in additional test results" from the remote test host.

  9. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the ACPI Sleep test

To set up the test system

  1. Edit the boot.ini file on the test system with Microsoft Notepad.
  2. Add the following line to the boot.ini file.

MAXMEM=512

  3. Save boot.ini and restart the test system.
  4. Remove this line from boot.ini after running this test.

To run the ACPI Sleep test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select ACPI Sleep test, and then click Add Selection.
  3. Click Start Tests.

Follow the on-screen prompts.

  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the GART test

To run the GART test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select GART, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Datacenter Configuration Checker test

To run the Datacenter Configuration Checker test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Datacenter Configuration Checker, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Client Server Phase 2: Run test

To run the Client Server Phase 2: Run test

  1. On each node of the cluster, run Client Server Phase 2: Setup.
  2. On the remote test host, Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select Client Server Phase 2: Run, and then click Add Selection.
  4. Click Start Tests.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Simple Crash 2-Node test

Run time: TBD

Log file name: TBD

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Simple Crash 2-Node Cluster test


Simple Crash 4-Node test

Run time: TBD

Log file name: TBD

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Simple Crash 4-Node test


Simple Move 2-Node test

Run time: TBD

Log file name: TBD

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Simple Move 2 Node test


Simple Move N Node test

Run time: TBD

Log file name: TBD

Operating system: Windows Whistler Server

Test assertions: Chapter 24

Related links

Running the Simple Move N Node test


Running the Simple Crash 2-Node test

To run the Simple Crash 2-Node test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Simple Crash 2-Node, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view and copy test log files.


Running the Simple Crash 4-Node test

To run the Simple Crash 4 Node test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Simple Crash 4 Node, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Simple Move 2-Node test

To run the Simple Move 2-Node test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Simple Move 2-Node, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Simple Move N Node test

To run the Simple Move N Node test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Simple Move N Node, and then click Add Selection.
  3. Click Start Tests.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the PXE Server Installation test

To run the PXE Server Installation test

  1. On the remote test host, Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select PXE Server Installation, and then click Add Selection.
  3. Click Start Tests.

Note: It is not necessary to view and copy test log files for this test. This test is used as the server component of the Remote Boot test.


Running the Wake Device Server Test

To run the Wake Device Server test

  1. On the remote test host, Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Wake Device Server, and then click Add Selection.
  3. Click Start Tests.

Note: It is not necessary to view and copy test log files for this test. This test is used as the server component of the LAN Device Wake Up test.


Running the Modem Test

To run the Modem Test

  1. On the remote test host, Start Test Manager and follow the instructions in Running the Modem Test (Server).
  2. Start Test Manager on the test system.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select Modem Test, and then click Add Selection.
  4. Click Start Tests.

The Adapter Testing - Microsoft NDISTEST window appears.

  5. In the TEST list box, select the modem you are using for this test.
  6. In the Message list box, select the network adapter that you are using for this test
  7. Click OK to start the modem test.
  8. In the Phone Number dialog, enter the phone number of the phone line that the test system is connected to.
  9. Follow the instructions displayed to create the correct device topology and run the test.
  10. When the test is completed, view and copy test log files.
  11. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Modem Test (Server)

To run the Modem Test (Server) test

  1. On the remote test host, Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Modem Test (Server), and then click Add Selection.
  3. Click Start Tests.

The Adapter Testing - Microsoft NDISTEST window appears.

  4. In the Message list box, select the network adapter that you are using for this test.
  5. In the Supported Devices list box, select the modem that you are using for this test.
  6. Click OK to start the modem test.
  7. In the Phone Number dialog, enter the phone number of the phone line that the test system is connected to.

Note: It is not necessary to view and copy test log files for this test. This test is used as the server component of the Modem Test.


Running the GDI Alpha Blend Stretch NonPerPixel test

TBD


Running the GDI Alpha Blend Stretch PerPixel test

TBD


Running the Gradient Fill test

TBD


Running the TERMINAL SERVER - CONSOLE DISCONNECT/RECONNECT test

TBD


Running the Illegal Imports test

TBD


Warning

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.